// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

// GENERATED CODE - DO NOT MODIFY BY HAND

// **************************************************************************
// HawkEntryPointGenerator
// **************************************************************************

import 'package:netease_roomkit/netease_roomkit.dart';

class HawkNERoomKit {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomKit?;
    switch (method) {
      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "initialize",
      ///    "params": [
      ///      {
      ///        "options": "NERoomKitOptions"
      ///      }
      ///    ]
      ///  }
      case 'initialize':
        {
          var argOptions;
          argOptions = ((await factory[NERoomKitOptions]
                  ?.call(params[0]['options'])) ??
              NERoomKitOptions.fromJson(
                  (params[0]['options'] as Map).cast())) as NERoomKitOptions;
          return [
            target!.initialize(
              argOptions,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "switchLanguage",
      ///    "params": [
      ///      {
      ///        "language": "NERoomLanguage?"
      ///      }
      ///    ]
      ///  }
      case 'switchLanguage':
        {
          var argLanguage;
          argLanguage = (await factory[NERoomLanguage]
              ?.call(params[0]['language'])) as NERoomLanguage?;
          return [
            target!.switchLanguage(
              argLanguage,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "getInstance",
      ///    "params": []
      ///  }
      case 'getInstance':
        {
          return [NERoomKit.instance];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "getIsInitialized",
      ///    "params": []
      ///  }
      case 'getIsInitialized':
        {
          return [target!.isInitialized];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "getSdkVersions",
      ///    "params": []
      ///  }
      case 'getSdkVersions':
        {
          return [target!.sdkVersions];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "getAuthService",
      ///    "params": []
      ///  }
      case 'getAuthService':
        {
          return [target!.authService];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "getRoomService",
      ///    "params": []
      ///  }
      case 'getRoomService':
        {
          return [target!.roomService];
        }

      ///  {
      ///    "className": "NERoomKit",
      ///    "methodName": "getMessageChannelService",
      ///    "params": []
      ///  }
      case 'getMessageChannelService':
        {
          return [target!.messageChannelService];
        }
    }
    return null;
  }
}

class HawkNEAuthService {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NEAuthService?;
    switch (method) {
      ///  {
      ///    "className": "NEAuthService",
      ///    "methodName": "login",
      ///    "params": [
      ///      {
      ///        "account": "String"
      ///      },
      ///      {
      ///        "token": "String"
      ///      }
      ///    ]
      ///  }
      case 'login':
        {
          var argAccount;
          argAccount = params[0]['account'] as String;
          var argToken;
          argToken = params[1]['token'] as String;
          return [
            target!.login(
              argAccount,
              argToken,
            )
          ];
        }

      ///  {
      ///    "className": "NEAuthService",
      ///    "methodName": "logout",
      ///    "params": []
      ///  }
      case 'logout':
        {
          return [target!.logout()];
        }

      ///  {
      ///    "className": "NEAuthService",
      ///    "methodName": "getIsLoggedIn",
      ///    "params": []
      ///  }
      case 'getIsLoggedIn':
        {
          return [target!.isLoggedIn];
        }

      ///  {
      ///    "className": "NEAuthService",
      ///    "methodName": "getOnAuthEvent",
      ///    "params": []
      ///  }
      case 'getOnAuthEvent':
        {
          return [target!.onAuthEvent];
        }
    }
    return null;
  }
}

class HawkNERoomService {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomService?;
    switch (method) {
      ///  {
      ///    "className": "NERoomService",
      ///    "methodName": "createRoom",
      ///    "params": [
      ///      {
      ///        "params": "NECreateRoomParams"
      ///      },
      ///      {
      ///        "options": "NECreateRoomOptions"
      ///      }
      ///    ]
      ///  }
      case 'createRoom':
        {
          var argParams;
          argParams = ((await factory[NECreateRoomParams]
                  ?.call(params[0]['params'])) ??
              NECreateRoomParams.fromJson(
                  (params[0]['params'] as Map).cast())) as NECreateRoomParams;
          var argOptions;
          argOptions = ((await factory[NECreateRoomOptions]
                  ?.call(params[1]['options'])) ??
              NECreateRoomOptions.fromJson(
                  (params[1]['options'] as Map).cast())) as NECreateRoomOptions;
          return [
            target!.createRoom(
              argParams,
              argOptions,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomService",
      ///    "methodName": "joinRoom",
      ///    "params": [
      ///      {
      ///        "params": "NEJoinRoomParams"
      ///      },
      ///      {
      ///        "options": "NEJoinRoomOptions"
      ///      }
      ///    ]
      ///  }
      case 'joinRoom':
        {
          var argParams;
          argParams =
              ((await factory[NEJoinRoomParams]?.call(params[0]['params'])) ??
                  NEJoinRoomParams.fromJson(
                      (params[0]['params'] as Map).cast())) as NEJoinRoomParams;
          var argOptions;
          argOptions = ((await factory[NEJoinRoomOptions]
                  ?.call(params[1]['options'])) ??
              NEJoinRoomOptions.fromJson(
                  (params[1]['options'] as Map).cast())) as NEJoinRoomOptions;
          return [
            target!.joinRoom(
              argParams,
              argOptions,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomService",
      ///    "methodName": "previewRoom",
      ///    "params": [
      ///      {
      ///        "params": "NEPreviewRoomParams"
      ///      },
      ///      {
      ///        "options": "NEPreviewRoomOptions"
      ///      }
      ///    ]
      ///  }
      case 'previewRoom':
        {
          var argParams;
          argParams = (await factory[NEPreviewRoomParams]
              ?.call(params[0]['params'])) as NEPreviewRoomParams;
          var argOptions;
          argOptions = (await factory[NEPreviewRoomOptions]
              ?.call(params[1]['options'])) as NEPreviewRoomOptions;
          return [
            target!.previewRoom(
              argParams,
              argOptions,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomService",
      ///    "methodName": "getRoomContext",
      ///    "params": [
      ///      {
      ///        "roomUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'getRoomContext':
        {
          var argRoomUuid;
          argRoomUuid = params[0]['roomUuid'] as String;
          return [
            target!.getRoomContext(
              argRoomUuid,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNERoomChatController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomChatController?;
    switch (method) {
      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "joinChatroom",
      ///    "params": []
      ///  }
      case 'joinChatroom':
        {
          return [target!.joinChatroom()];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "leaveChatroom",
      ///    "params": []
      ///  }
      case 'leaveChatroom':
        {
          return [target!.leaveChatroom()];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "sendBroadcastTextMessage",
      ///    "params": [
      ///      {
      ///        "message": "String"
      ///      }
      ///    ]
      ///  }
      case 'sendBroadcastTextMessage':
        {
          var argMessage;
          argMessage = params[0]['message'] as String;
          return [
            target!.sendBroadcastTextMessage(
              argMessage,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "sendDirectTextMessage",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "message": "String"
      ///      }
      ///    ]
      ///  }
      case 'sendDirectTextMessage':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argMessage;
          argMessage = params[1]['message'] as String;
          return [
            target!.sendDirectTextMessage(
              argUserUuid,
              argMessage,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "sendGroupTextMessage",
      ///    "params": [
      ///      {
      ///        "userUuids": "List<String>"
      ///      },
      ///      {
      ///        "message": "String"
      ///      }
      ///    ]
      ///  }
      case 'sendGroupTextMessage':
        {
          var argUserUuids;
          argUserUuids =
              (params[0]['userUuids'] as List).map((e) => e as String).toList();
          var argMessage;
          argMessage = params[1]['message'] as String;
          return [
            target!.sendGroupTextMessage(
              argUserUuids,
              argMessage,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "fetchChatroomMembers",
      ///    "params": [
      ///      {
      ///        "queryType": "NEChatroomMemberQueryType"
      ///      },
      ///      {
      ///        "limit": "int"
      ///      }
      ///    ]
      ///  }
      case 'fetchChatroomMembers':
        {
          var argQueryType;
          argQueryType = enumValueFromNameOrIndex(
              NEChatroomMemberQueryType.values, params[0]['queryType']);
          var argLimit;
          argLimit = params[1]['limit'] as int;
          return [
            target!.fetchChatroomMembers(
              argQueryType,
              argLimit,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "sendImageMessage",
      ///    "params": [
      ///      {
      ///        "messageUuid": "String"
      ///      },
      ///      {
      ///        "imagePath": "String"
      ///      },
      ///      {
      ///        "userUuids": "List<String>?"
      ///      }
      ///    ]
      ///  }
      case 'sendImageMessage':
        {
          var argMessageUuid;
          argMessageUuid = params[0]['messageUuid'] as String;
          var argImagePath;
          argImagePath = params[1]['imagePath'] as String;
          var argUserUuids;
          argUserUuids =
              (params[2]['userUuids'] as List).map((e) => e as String).toList();
          return [
            target!.sendImageMessage(
              argMessageUuid,
              argImagePath,
              argUserUuids,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "sendFileMessage",
      ///    "params": [
      ///      {
      ///        "messageUuid": "String"
      ///      },
      ///      {
      ///        "filePath": "String"
      ///      },
      ///      {
      ///        "userUuids": "List<String>?"
      ///      }
      ///    ]
      ///  }
      case 'sendFileMessage':
        {
          var argMessageUuid;
          argMessageUuid = params[0]['messageUuid'] as String;
          var argFilePath;
          argFilePath = params[1]['filePath'] as String;
          var argUserUuids;
          argUserUuids =
              (params[2]['userUuids'] as List).map((e) => e as String).toList();
          return [
            target!.sendFileMessage(
              argMessageUuid,
              argFilePath,
              argUserUuids,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "downloadAttachment",
      ///    "params": [
      ///      {
      ///        "messageUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'downloadAttachment':
        {
          var argMessageUuid;
          argMessageUuid = params[0]['messageUuid'] as String;
          return [
            target!.downloadAttachment(
              argMessageUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomChatController",
      ///    "methodName": "cancelDownloadAttachment",
      ///    "params": [
      ///      {
      ///        "messageUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'cancelDownloadAttachment':
        {
          var argMessageUuid;
          argMessageUuid = params[0]['messageUuid'] as String;
          return [
            target!.cancelDownloadAttachment(
              argMessageUuid,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNERoomBaseRtcController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomBaseRtcController?;
    switch (method) {
      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "switchCamera",
      ///    "params": []
      ///  }
      case 'switchCamera':
        {
          return [target!.switchCamera()];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "startBeauty",
      ///    "params": []
      ///  }
      case 'startBeauty':
        {
          return [target!.startBeauty()];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "stopBeauty",
      ///    "params": []
      ///  }
      case 'stopBeauty':
        {
          return [target!.stopBeauty()];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "enableBeauty",
      ///    "params": [
      ///      {
      ///        "isOpenBeauty": "bool"
      ///      }
      ///    ]
      ///  }
      case 'enableBeauty':
        {
          var argIsOpenBeauty;
          argIsOpenBeauty = params[0]['isOpenBeauty'] as bool;
          return [
            target!.enableBeauty(
              argIsOpenBeauty,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "setBeautyEffect",
      ///    "params": [
      ///      {
      ///        "beautyType": "NERoomBeautyEffectType"
      ///      },
      ///      {
      ///        "level": "double"
      ///      }
      ///    ]
      ///  }
      case 'setBeautyEffect':
        {
          var argBeautyType;
          argBeautyType = enumValueFromNameOrIndex(
              NERoomBeautyEffectType.values, params[0]['beautyType']);
          var argLevel;
          argLevel = params[1]['level'] as double;
          return [
            target!.setBeautyEffect(
              argBeautyType,
              argLevel,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "addBeautyFilter",
      ///    "params": [
      ///      {
      ///        "path": "String"
      ///      }
      ///    ]
      ///  }
      case 'addBeautyFilter':
        {
          var argPath;
          argPath = params[0]['path'] as String;
          return [
            target!.addBeautyFilter(
              argPath,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "removeBeautyFilter",
      ///    "params": []
      ///  }
      case 'removeBeautyFilter':
        {
          return [target!.removeBeautyFilter()];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "setBeautyFilterLevel",
      ///    "params": [
      ///      {
      ///        "level": "double"
      ///      }
      ///    ]
      ///  }
      case 'setBeautyFilterLevel':
        {
          var argLevel;
          argLevel = params[0]['level'] as double;
          return [
            target!.setBeautyFilterLevel(
              argLevel,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "addBeautySticker",
      ///    "params": [
      ///      {
      ///        "path": "String"
      ///      }
      ///    ]
      ///  }
      case 'addBeautySticker':
        {
          var argPath;
          argPath = params[0]['path'] as String;
          return [
            target!.addBeautySticker(
              argPath,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "removeBeautySticker",
      ///    "params": []
      ///  }
      case 'removeBeautySticker':
        {
          return [target!.removeBeautySticker()];
        }

      ///  {
      ///    "className": "NERoomBaseRtcController",
      ///    "methodName": "enableVirtualBackground",
      ///    "params": [
      ///      {
      ///        "enabled": "bool"
      ///      },
      ///      {
      ///        "backgroundSource": "NERoomVirtualBackgroundSource"
      ///      }
      ///    ]
      ///  }
      case 'enableVirtualBackground':
        {
          var argEnabled;
          argEnabled = params[0]['enabled'] as bool;
          var argBackgroundSource;
          argBackgroundSource = (await factory[NERoomVirtualBackgroundSource]
                  ?.call(params[1]['backgroundSource']))
              as NERoomVirtualBackgroundSource;
          return [
            target!.enableVirtualBackground(
              argEnabled,
              argBackgroundSource,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNEPreviewRoomRtcController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NEPreviewRoomRtcController?;
    switch (method) {
      ///  {
      ///    "className": "NEPreviewRoomRtcController",
      ///    "methodName": "startPreview",
      ///    "params": []
      ///  }
      case 'startPreview':
        {
          return [target!.startPreview()];
        }

      ///  {
      ///    "className": "NEPreviewRoomRtcController",
      ///    "methodName": "stopPreview",
      ///    "params": []
      ///  }
      case 'stopPreview':
        {
          return [target!.stopPreview()];
        }
    }
    return null;
  }
}

class HawkNERoomRtcController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomRtcController?;
    switch (method) {
      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "joinRtcChannel",
      ///    "params": []
      ///  }
      case 'joinRtcChannel':
        {
          return [target!.joinRtcChannel()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "leaveRtcChannel",
      ///    "params": []
      ///  }
      case 'leaveRtcChannel':
        {
          return [target!.leaveRtcChannel()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "muteMyAudio",
      ///    "params": [
      ///      {
      ///        "enableMediaPub": "bool"
      ///      }
      ///    ]
      ///  }
      case 'muteMyAudio':
        {
          var argEnableMediaPub;
          if (params.length > 0 && params[0].containsKey('enableMediaPub')) {
            argEnableMediaPub = params[0]['enableMediaPub'] as bool;
          } else {
            argEnableMediaPub = false;
          }
          return [
            target!.muteMyAudio(
              argEnableMediaPub,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "unmuteMyAudio",
      ///    "params": [
      ///      {
      ///        "enableMediaPub": "bool"
      ///      }
      ///    ]
      ///  }
      case 'unmuteMyAudio':
        {
          var argEnableMediaPub;
          if (params.length > 0 && params[0].containsKey('enableMediaPub')) {
            argEnableMediaPub = params[0]['enableMediaPub'] as bool;
          } else {
            argEnableMediaPub = true;
          }
          return [
            target!.unmuteMyAudio(
              argEnableMediaPub,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "enableMediaPub",
      ///    "params": [
      ///      {
      ///        "mediaType": "int"
      ///      },
      ///      {
      ///        "enable": "bool"
      ///      }
      ///    ]
      ///  }
      case 'enableMediaPub':
        {
          var argMediaType;
          argMediaType = params[0]['mediaType'] as int;
          var argEnable;
          argEnable = params[1]['enable'] as bool;
          return [
            target!.enableMediaPub(
              argMediaType,
              argEnable,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "pauseLocalAudioRecording",
      ///    "params": []
      ///  }
      case 'pauseLocalAudioRecording':
        {
          return [target!.pauseLocalAudioRecording()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "resumeLocalAudioRecording",
      ///    "params": []
      ///  }
      case 'resumeLocalAudioRecording':
        {
          return [target!.resumeLocalAudioRecording()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "muteMyVideo",
      ///    "params": []
      ///  }
      case 'muteMyVideo':
        {
          return [target!.muteMyVideo()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "unmuteMyVideo",
      ///    "params": []
      ///  }
      case 'unmuteMyVideo':
        {
          return [target!.unmuteMyVideo()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "pauseLocalVideoCapture",
      ///    "params": []
      ///  }
      case 'pauseLocalVideoCapture':
        {
          return [target!.pauseLocalVideoCapture()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "resumeLocalVideoCapture",
      ///    "params": []
      ///  }
      case 'resumeLocalVideoCapture':
        {
          return [target!.resumeLocalVideoCapture()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "muteMemberAudio",
      ///    "params": [
      ///      {
      ///        "uuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'muteMemberAudio':
        {
          var argUuid;
          argUuid = params[0]['uuid'] as String;
          return [
            target!.muteMemberAudio(
              argUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "unmuteMemberAudio",
      ///    "params": [
      ///      {
      ///        "uuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'unmuteMemberAudio':
        {
          var argUuid;
          argUuid = params[0]['uuid'] as String;
          return [
            target!.unmuteMemberAudio(
              argUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "muteMemberVideo",
      ///    "params": [
      ///      {
      ///        "uuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'muteMemberVideo':
        {
          var argUuid;
          argUuid = params[0]['uuid'] as String;
          return [
            target!.muteMemberVideo(
              argUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "unmuteMemberVideo",
      ///    "params": [
      ///      {
      ///        "uuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'unmuteMemberVideo':
        {
          var argUuid;
          argUuid = params[0]['uuid'] as String;
          return [
            target!.unmuteMemberVideo(
              argUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopScreenShare",
      ///    "params": []
      ///  }
      case 'stopScreenShare':
        {
          return [target!.stopScreenShare()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopMemberScreenShare",
      ///    "params": [
      ///      {
      ///        "uuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'stopMemberScreenShare':
        {
          var argUuid;
          argUuid = params[0]['uuid'] as String;
          return [
            target!.stopMemberScreenShare(
              argUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "startScreenShare",
      ///    "params": [
      ///      {
      ///        "iosAppGroup": "String?"
      ///      }
      ///    ]
      ///  }
      case 'startScreenShare':
        {
          var argIosAppGroup;
          if (params.length > 0 && params[0].containsKey('iosAppGroup')) {
            argIosAppGroup = params[0]['iosAppGroup'] as String?;
          }
          return [
            target!.startScreenShare(
              iosAppGroup: argIosAppGroup,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "getScreenSharingUserUuid",
      ///    "params": []
      ///  }
      case 'getScreenSharingUserUuid':
        {
          return [target!.getScreenSharingUserUuid()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "subscribeRemoteVideoStream",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "streamType": "NEVideoStreamType"
      ///      }
      ///    ]
      ///  }
      case 'subscribeRemoteVideoStream':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argStreamType;
          argStreamType = enumValueFromNameOrIndex(
              NEVideoStreamType.values, params[1]['streamType']);
          return [
            target!.subscribeRemoteVideoStream(
              argUserUuid,
              argStreamType,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "adjustUserPlaybackSignalVolume",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'adjustUserPlaybackSignalVolume':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argVolume;
          argVolume = params[1]['volume'] as int;
          return [
            target!.adjustUserPlaybackSignalVolume(
              argUserUuid,
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "adjustPlaybackSignalVolume",
      ///    "params": [
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'adjustPlaybackSignalVolume':
        {
          var argVolume;
          argVolume = params[0]['volume'] as int;
          return [
            target!.adjustPlaybackSignalVolume(
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "unsubscribeRemoteVideoStream",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "streamType": "NEVideoStreamType"
      ///      }
      ///    ]
      ///  }
      case 'unsubscribeRemoteVideoStream':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argStreamType;
          argStreamType = enumValueFromNameOrIndex(
              NEVideoStreamType.values, params[1]['streamType']);
          return [
            target!.unsubscribeRemoteVideoStream(
              argUserUuid,
              argStreamType,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "subscribeRemoteVideoSubStream",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'subscribeRemoteVideoSubStream':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          return [
            target!.subscribeRemoteVideoSubStream(
              argUserUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "unsubscribeRemoteVideoSubStream",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'unsubscribeRemoteVideoSubStream':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          return [
            target!.unsubscribeRemoteVideoSubStream(
              argUserUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setSpeakerphoneOn",
      ///    "params": [
      ///      {
      ///        "on": "bool"
      ///      }
      ///    ]
      ///  }
      case 'setSpeakerphoneOn':
        {
          var argOn;
          argOn = params[0]['on'] as bool;
          return [
            target!.setSpeakerphoneOn(
              argOn,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "isSpeakerphoneOn",
      ///    "params": []
      ///  }
      case 'isSpeakerphoneOn':
        {
          return [target!.isSpeakerphoneOn()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopAudioDump",
      ///    "params": []
      ///  }
      case 'stopAudioDump':
        {
          return [target!.stopAudioDump()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "startAudioDump",
      ///    "params": [
      ///      {
      ///        "type": "NEAudioDumpType"
      ///      }
      ///    ]
      ///  }
      case 'startAudioDump':
        {
          var argType;
          argType = enumValueFromNameOrIndex(
              NEAudioDumpType.values, params[0]['type']);
          return [
            target!.startAudioDump(
              argType,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "enableAudioVolumeIndication",
      ///    "params": [
      ///      {
      ///        "enable": "bool"
      ///      },
      ///      {
      ///        "interval": "int"
      ///      },
      ///      {
      ///        "vad": "bool"
      ///      }
      ///    ]
      ///  }
      case 'enableAudioVolumeIndication':
        {
          var argEnable;
          argEnable = params[0]['enable'] as bool;
          var argInterval;
          argInterval = params[1]['interval'] as int;
          var argVad;
          if (params.length > 2 && params[2].containsKey('vad')) {
            argVad = params[2]['vad'] as bool;
          } else {
            argVad = false;
          }
          return [
            target!.enableAudioVolumeIndication(
              argEnable,
              argInterval,
              argVad,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "startRtcChannelMediaRelay",
      ///    "params": []
      ///  }
      case 'startRtcChannelMediaRelay':
        {
          return [target!.startRtcChannelMediaRelay()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopRtcChannelMediaRelay",
      ///    "params": []
      ///  }
      case 'stopRtcChannelMediaRelay':
        {
          return [target!.stopRtcChannelMediaRelay()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "startAudioMixing",
      ///    "params": [
      ///      {
      ///        "option": "NECreateAudioMixingOption"
      ///      }
      ///    ]
      ///  }
      case 'startAudioMixing':
        {
          var argOption;
          argOption = (await factory[NECreateAudioMixingOption]
              ?.call(params[0]['option'])) as NECreateAudioMixingOption;
          return [
            target!.startAudioMixing(
              argOption,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "playEffect",
      ///    "params": [
      ///      {
      ///        "id": "int"
      ///      },
      ///      {
      ///        "option": "NECreateAudioEffectOption"
      ///      }
      ///    ]
      ///  }
      case 'playEffect':
        {
          var argId;
          argId = params[0]['id'] as int;
          var argOption;
          argOption = (await factory[NECreateAudioEffectOption]
              ?.call(params[1]['option'])) as NECreateAudioEffectOption;
          return [
            target!.playEffect(
              argId,
              argOption,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopAudioMixing",
      ///    "params": []
      ///  }
      case 'stopAudioMixing':
        {
          return [target!.stopAudioMixing()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopEffect",
      ///    "params": [
      ///      {
      ///        "id": "int"
      ///      }
      ///    ]
      ///  }
      case 'stopEffect':
        {
          var argId;
          argId = params[0]['id'] as int;
          return [
            target!.stopEffect(
              argId,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setAudioMixingSendVolume",
      ///    "params": [
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'setAudioMixingSendVolume':
        {
          var argVolume;
          argVolume = params[0]['volume'] as int;
          return [
            target!.setAudioMixingSendVolume(
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setAudioMixingPlaybackVolume",
      ///    "params": [
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'setAudioMixingPlaybackVolume':
        {
          var argVolume;
          argVolume = params[0]['volume'] as int;
          return [
            target!.setAudioMixingPlaybackVolume(
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setEffectSendVolume",
      ///    "params": [
      ///      {
      ///        "id": "int"
      ///      },
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'setEffectSendVolume':
        {
          var argId;
          argId = params[0]['id'] as int;
          var argVolume;
          argVolume = params[1]['volume'] as int;
          return [
            target!.setEffectSendVolume(
              argId,
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setEffectPlaybackVolume",
      ///    "params": [
      ///      {
      ///        "id": "int"
      ///      },
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'setEffectPlaybackVolume':
        {
          var argId;
          argId = params[0]['id'] as int;
          var argVolume;
          argVolume = params[1]['volume'] as int;
          return [
            target!.setEffectPlaybackVolume(
              argId,
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "stopAllEffects",
      ///    "params": []
      ///  }
      case 'stopAllEffects':
        {
          return [target!.stopAllEffects()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "enableEarBack",
      ///    "params": [
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'enableEarBack':
        {
          var argVolume;
          argVolume = params[0]['volume'] as int;
          return [
            target!.enableEarBack(
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "disableEarBack",
      ///    "params": []
      ///  }
      case 'disableEarBack':
        {
          return [target!.disableEarBack()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "pauseAudioMixing",
      ///    "params": []
      ///  }
      case 'pauseAudioMixing':
        {
          return [target!.pauseAudioMixing()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "adjustRecordingSignalVolume",
      ///    "params": [
      ///      {
      ///        "volume": "int"
      ///      }
      ///    ]
      ///  }
      case 'adjustRecordingSignalVolume':
        {
          var argVolume;
          argVolume = params[0]['volume'] as int;
          return [
            target!.adjustRecordingSignalVolume(
              argVolume,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "resumeAudioMixing",
      ///    "params": []
      ///  }
      case 'resumeAudioMixing':
        {
          return [target!.resumeAudioMixing()];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setRecordDeviceMute",
      ///    "params": [
      ///      {
      ///        "mute": "bool"
      ///      }
      ///    ]
      ///  }
      case 'setRecordDeviceMute':
        {
          var argMute;
          argMute = params[0]['mute'] as bool;
          return [
            target!.setRecordDeviceMute(
              argMute,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setClientRole",
      ///    "params": [
      ///      {
      ///        "role": "int"
      ///      }
      ///    ]
      ///  }
      case 'setClientRole':
        {
          var argRole;
          argRole = params[0]['role'] as int;
          return [
            target!.setClientRole(
              argRole,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setAudioProfile",
      ///    "params": [
      ///      {
      ///        "profile": "int"
      ///      },
      ///      {
      ///        "scenario": "int"
      ///      }
      ///    ]
      ///  }
      case 'setAudioProfile':
        {
          var argProfile;
          argProfile = params[0]['profile'] as int;
          var argScenario;
          argScenario = params[1]['scenario'] as int;
          return [
            target!.setAudioProfile(
              argProfile,
              argScenario,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomRtcController",
      ///    "methodName": "setChannelProfile",
      ///    "params": [
      ///      {
      ///        "value": "int"
      ///      }
      ///    ]
      ///  }
      case 'setChannelProfile':
        {
          var argValue;
          argValue = params[0]['value'] as int;
          return [
            target!.setChannelProfile(
              argValue,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNERoomWhiteboardController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomWhiteboardController?;
    switch (method) {
      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "startWhiteboardShare",
      ///    "params": []
      ///  }
      case 'startWhiteboardShare':
        {
          return [target!.startWhiteboardShare()];
        }

      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "stopWhiteboardShare",
      ///    "params": []
      ///  }
      case 'stopWhiteboardShare':
        {
          return [target!.stopWhiteboardShare()];
        }

      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "stopMemberWhiteboardShare",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'stopMemberWhiteboardShare':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          return [
            target!.stopMemberWhiteboardShare(
              argUserUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "getWhiteboardSharingUserUuid",
      ///    "params": []
      ///  }
      case 'getWhiteboardSharingUserUuid':
        {
          return [target!.getWhiteboardSharingUserUuid()];
        }

      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "isSharingWhiteboard",
      ///    "params": []
      ///  }
      case 'isSharingWhiteboard':
        {
          return [target!.isSharingWhiteboard()];
        }

      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "isWhiteboardSharing",
      ///    "params": [
      ///      {
      ///        "userId": "String"
      ///      }
      ///    ]
      ///  }
      case 'isWhiteboardSharing':
        {
          var argUserId;
          argUserId = params[0]['userId'] as String;
          return [
            target!.isWhiteboardSharing(
              argUserId,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomWhiteboardController",
      ///    "methodName": "showWhiteboardTools",
      ///    "params": [
      ///      {
      ///        "show": "bool"
      ///      }
      ///    ]
      ///  }
      case 'showWhiteboardTools':
        {
          var argShow;
          argShow = params[0]['show'] as bool;
          return [
            target!.showWhiteboardTools(
              argShow,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNERoomContext {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomContext?;
    switch (method) {
      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getMember",
      ///    "params": [
      ///      {
      ///        "uuid": "String?"
      ///      }
      ///    ]
      ///  }
      case 'getMember':
        {
          var argUuid;
          argUuid = params[0]['uuid'] as String?;
          return [
            target!.getMember(
              argUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "addEventCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NERoomEventCallback"
      ///      }
      ///    ]
      ///  }
      case 'addEventCallback':
        {
          var argCallback;
          argCallback = (await factory[NERoomEventCallback]
              ?.call(params[0]['callback'])) as NERoomEventCallback;
          return [
            target!.addEventCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "removeEventCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NERoomEventCallback"
      ///      }
      ///    ]
      ///  }
      case 'removeEventCallback':
        {
          var argCallback;
          argCallback = (await factory[NERoomEventCallback]
              ?.call(params[0]['callback'])) as NERoomEventCallback;
          return [
            target!.removeEventCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "addRtcStatsCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NERoomRtcStatsCallback"
      ///      }
      ///    ]
      ///  }
      case 'addRtcStatsCallback':
        {
          var argCallback;
          argCallback = (await factory[NERoomRtcStatsCallback]
              ?.call(params[0]['callback'])) as NERoomRtcStatsCallback;
          return [
            target!.addRtcStatsCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "removeRtcStatsCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NERoomRtcStatsCallback"
      ///      }
      ///    ]
      ///  }
      case 'removeRtcStatsCallback':
        {
          var argCallback;
          argCallback = (await factory[NERoomRtcStatsCallback]
              ?.call(params[0]['callback'])) as NERoomRtcStatsCallback;
          return [
            target!.removeRtcStatsCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "changeMemberRole",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "role": "String"
      ///      }
      ///    ]
      ///  }
      case 'changeMemberRole':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argRole;
          argRole = params[1]['role'] as String;
          return [
            target!.changeMemberRole(
              argUserUuid,
              argRole,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "changeMyName",
      ///    "params": [
      ///      {
      ///        "name": "String"
      ///      }
      ///    ]
      ///  }
      case 'changeMyName':
        {
          var argName;
          argName = params[0]['name'] as String;
          return [
            target!.changeMyName(
              argName,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "handOverMyRole",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'handOverMyRole':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          return [
            target!.handOverMyRole(
              argUserUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "kickMemberOut",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      }
      ///    ]
      ///  }
      case 'kickMemberOut':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          return [
            target!.kickMemberOut(
              argUserUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "leaveRoom",
      ///    "params": []
      ///  }
      case 'leaveRoom':
        {
          return [target!.leaveRoom()];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "endRoom",
      ///    "params": [
      ///      {
      ///        "isForce": "bool"
      ///      }
      ///    ]
      ///  }
      case 'endRoom':
        {
          var argIsForce;
          if (params.length > 0 && params[0].containsKey('isForce')) {
            argIsForce = params[0]['isForce'] as bool;
          } else {
            argIsForce = false;
          }
          return [
            target!.endRoom(
              argIsForce,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "lockRoom",
      ///    "params": []
      ///  }
      case 'lockRoom':
        {
          return [target!.lockRoom()];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "unlockRoom",
      ///    "params": []
      ///  }
      case 'unlockRoom':
        {
          return [target!.unlockRoom()];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "updateRoomProperty",
      ///    "params": [
      ///      {
      ///        "key": "String"
      ///      },
      ///      {
      ///        "value": "String"
      ///      },
      ///      {
      ///        "associatedUuid": "String?"
      ///      }
      ///    ]
      ///  }
      case 'updateRoomProperty':
        {
          var argKey;
          argKey = params[0]['key'] as String;
          var argValue;
          argValue = params[1]['value'] as String;
          var argAssociatedUuid;
          if (params.length > 2 && params[2].containsKey('associatedUuid')) {
            argAssociatedUuid = params[2]['associatedUuid'] as String?;
          }
          return [
            target!.updateRoomProperty(
              argKey,
              argValue,
              associatedUuid: argAssociatedUuid,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "deleteRoomProperty",
      ///    "params": [
      ///      {
      ///        "key": "String"
      ///      }
      ///    ]
      ///  }
      case 'deleteRoomProperty':
        {
          var argKey;
          argKey = params[0]['key'] as String;
          return [
            target!.deleteRoomProperty(
              argKey,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "updateMemberProperty",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "key": "String"
      ///      },
      ///      {
      ///        "value": "String"
      ///      }
      ///    ]
      ///  }
      case 'updateMemberProperty':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argKey;
          argKey = params[1]['key'] as String;
          var argValue;
          argValue = params[2]['value'] as String;
          return [
            target!.updateMemberProperty(
              argUserUuid,
              argKey,
              argValue,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "deleteMemberProperty",
      ///    "params": [
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "key": "String"
      ///      }
      ///    ]
      ///  }
      case 'deleteMemberProperty':
        {
          var argUserUuid;
          argUserUuid = params[0]['userUuid'] as String;
          var argKey;
          argKey = params[1]['key'] as String;
          return [
            target!.deleteMemberProperty(
              argUserUuid,
              argKey,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRoomUuid",
      ///    "params": []
      ///  }
      case 'getRoomUuid':
        {
          return [target!.roomUuid];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRoomName",
      ///    "params": []
      ///  }
      case 'getRoomName':
        {
          return [target!.roomName];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getPassword",
      ///    "params": []
      ///  }
      case 'getPassword':
        {
          return [target!.password];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRtcStartTime",
      ///    "params": []
      ///  }
      case 'getRtcStartTime':
        {
          return [target!.rtcStartTime];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getIsRoomLocked",
      ///    "params": []
      ///  }
      case 'getIsRoomLocked':
        {
          return [target!.isRoomLocked];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getSipCid",
      ///    "params": []
      ///  }
      case 'getSipCid':
        {
          return [target!.sipCid];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRemainingSeconds",
      ///    "params": []
      ///  }
      case 'getRemainingSeconds':
        {
          return [target!.remainingSeconds];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getLocalMember",
      ///    "params": []
      ///  }
      case 'getLocalMember':
        {
          return [target!.localMember];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRemoteMembers",
      ///    "params": []
      ///  }
      case 'getRemoteMembers':
        {
          return [target!.remoteMembers];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getChatController",
      ///    "params": []
      ///  }
      case 'getChatController':
        {
          return [target!.chatController];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRtcController",
      ///    "params": []
      ///  }
      case 'getRtcController':
        {
          return [target!.rtcController];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getWhiteboardController",
      ///    "params": []
      ///  }
      case 'getWhiteboardController':
        {
          return [target!.whiteboardController];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getLiveController",
      ///    "params": []
      ///  }
      case 'getLiveController':
        {
          return [target!.liveController];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getSeatController",
      ///    "params": []
      ///  }
      case 'getSeatController':
        {
          return [target!.seatController];
        }

      ///  {
      ///    "className": "NERoomContext",
      ///    "methodName": "getRoomProperties",
      ///    "params": []
      ///  }
      case 'getRoomProperties':
        {
          return [target!.roomProperties];
        }
    }
    return null;
  }
}

class HawkNEMessageChannelService {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NEMessageChannelService?;
    switch (method) {
      ///  {
      ///    "className": "NEMessageChannelService",
      ///    "methodName": "addMessageChannelCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NEMessageChannelCallback"
      ///      }
      ///    ]
      ///  }
      case 'addMessageChannelCallback':
        {
          var argCallback;
          argCallback = (await factory[NEMessageChannelCallback]
              ?.call(params[0]['callback'])) as NEMessageChannelCallback;
          return [
            target!.addMessageChannelCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NEMessageChannelService",
      ///    "methodName": "removeMessageChannelCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NEMessageChannelCallback"
      ///      }
      ///    ]
      ///  }
      case 'removeMessageChannelCallback':
        {
          var argCallback;
          argCallback = (await factory[NEMessageChannelCallback]
              ?.call(params[0]['callback'])) as NEMessageChannelCallback;
          return [
            target!.removeMessageChannelCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NEMessageChannelService",
      ///    "methodName": "sendCustomMessage",
      ///    "params": [
      ///      {
      ///        "roomUuid": "String"
      ///      },
      ///      {
      ///        "userUuid": "String"
      ///      },
      ///      {
      ///        "commandId": "int"
      ///      },
      ///      {
      ///        "data": "String"
      ///      }
      ///    ]
      ///  }
      case 'sendCustomMessage':
        {
          var argRoomUuid;
          argRoomUuid = params[0]['roomUuid'] as String;
          var argUserUuid;
          argUserUuid = params[1]['userUuid'] as String;
          var argCommandId;
          argCommandId = params[2]['commandId'] as int;
          var argData;
          argData = params[3]['data'] as String;
          return [
            target!.sendCustomMessage(
              argRoomUuid,
              argUserUuid,
              argCommandId,
              argData,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNERoomLiveController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomLiveController?;
    switch (method) {
      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "startLive",
      ///    "params": [
      ///      {
      ///        "request": "NERoomLiveRequest"
      ///      }
      ///    ]
      ///  }
      case 'startLive':
        {
          var argRequest;
          argRequest = (await factory[NERoomLiveRequest]
              ?.call(params[0]['request'])) as NERoomLiveRequest;
          return [
            target!.startLive(
              argRequest,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "stopLive",
      ///    "params": []
      ///  }
      case 'stopLive':
        {
          return [target!.stopLive()];
        }

      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "updateLive",
      ///    "params": [
      ///      {
      ///        "request": "NERoomLiveRequest"
      ///      }
      ///    ]
      ///  }
      case 'updateLive':
        {
          var argRequest;
          argRequest = (await factory[NERoomLiveRequest]
              ?.call(params[0]['request'])) as NERoomLiveRequest;
          return [
            target!.updateLive(
              argRequest,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "getLiveInfo",
      ///    "params": []
      ///  }
      case 'getLiveInfo':
        {
          return [target!.getLiveInfo()];
        }

      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "addLiveStreamTask",
      ///    "params": [
      ///      {
      ///        "taskInfo": "NERoomLiveStreamTaskInfo"
      ///      }
      ///    ]
      ///  }
      case 'addLiveStreamTask':
        {
          var argTaskInfo;
          argTaskInfo = (await factory[NERoomLiveStreamTaskInfo]
              ?.call(params[0]['taskInfo'])) as NERoomLiveStreamTaskInfo;
          return [
            target!.addLiveStreamTask(
              argTaskInfo,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "updateLiveStreamTask",
      ///    "params": [
      ///      {
      ///        "taskInfo": "NERoomLiveStreamTaskInfo"
      ///      }
      ///    ]
      ///  }
      case 'updateLiveStreamTask':
        {
          var argTaskInfo;
          argTaskInfo = (await factory[NERoomLiveStreamTaskInfo]
              ?.call(params[0]['taskInfo'])) as NERoomLiveStreamTaskInfo;
          return [
            target!.updateLiveStreamTask(
              argTaskInfo,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomLiveController",
      ///    "methodName": "removeLiveStreamTask",
      ///    "params": [
      ///      {
      ///        "taskID": "String"
      ///      }
      ///    ]
      ///  }
      case 'removeLiveStreamTask':
        {
          var argTaskID;
          argTaskID = params[0]['taskID'] as String;
          return [
            target!.removeLiveStreamTask(
              argTaskID,
            )
          ];
        }
    }
    return null;
  }
}

class HawkNERoomSeatController {
  static Future<dynamic> handleHawkMethodCall(
      Object? obj,
      String method,
      List<Map> params,
      Map<Type, Future<dynamic> Function(Map)> factory) async {
    // ignore: unused_element
    T enumValueFromNameOrIndex<T extends Enum>(
        Iterable<T> values, dynamic value) {
      for (var e in values) {
        if (e.name == value || e.index == value) return e;
      }
      throw ArgumentError.value(value, T.toString(), "No enum with that value");
    }

    final target = obj as NERoomSeatController?;
    switch (method) {
      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "submitSeatRequest",
      ///    "params": [
      ///      {
      ///        "seatIndex": "int"
      ///      },
      ///      {
      ///        "exclusive": "bool"
      ///      }
      ///    ]
      ///  }
      case 'submitSeatRequest':
        {
          var argSeatIndex;
          argSeatIndex = params[0]['seatIndex'] as int;
          var argExclusive;
          argExclusive = params[1]['exclusive'] as bool;
          return [
            target!.submitSeatRequest(
              argSeatIndex,
              argExclusive,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "cancelSeatRequest",
      ///    "params": []
      ///  }
      case 'cancelSeatRequest':
        {
          return [target!.cancelSeatRequest()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "leaveSeat",
      ///    "params": []
      ///  }
      case 'leaveSeat':
        {
          return [target!.leaveSeat()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "approveSeatRequest",
      ///    "params": [
      ///      {
      ///        "user": "String"
      ///      }
      ///    ]
      ///  }
      case 'approveSeatRequest':
        {
          var argUser;
          argUser = params[0]['user'] as String;
          return [
            target!.approveSeatRequest(
              argUser,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "rejectSeatRequest",
      ///    "params": [
      ///      {
      ///        "user": "String"
      ///      }
      ///    ]
      ///  }
      case 'rejectSeatRequest':
        {
          var argUser;
          argUser = params[0]['user'] as String;
          return [
            target!.rejectSeatRequest(
              argUser,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "kickSeat",
      ///    "params": [
      ///      {
      ///        "user": "String"
      ///      }
      ///    ]
      ///  }
      case 'kickSeat':
        {
          var argUser;
          argUser = params[0]['user'] as String;
          return [
            target!.kickSeat(
              argUser,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "sendSeatInvitation",
      ///    "params": [
      ///      {
      ///        "seatIndex": "int"
      ///      },
      ///      {
      ///        "user": "String"
      ///      }
      ///    ]
      ///  }
      case 'sendSeatInvitation':
        {
          var argSeatIndex;
          argSeatIndex = params[0]['seatIndex'] as int;
          var argUser;
          argUser = params[1]['user'] as String;
          return [
            target!.sendSeatInvitation(
              argSeatIndex,
              argUser,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "cancelSeatInvitation",
      ///    "params": [
      ///      {
      ///        "user": "String"
      ///      }
      ///    ]
      ///  }
      case 'cancelSeatInvitation':
        {
          var argUser;
          argUser = params[0]['user'] as String;
          return [
            target!.cancelSeatInvitation(
              argUser,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "acceptSeatInvitation",
      ///    "params": []
      ///  }
      case 'acceptSeatInvitation':
        {
          return [target!.acceptSeatInvitation()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "rejectSeatInvitation",
      ///    "params": []
      ///  }
      case 'rejectSeatInvitation':
        {
          return [target!.rejectSeatInvitation()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "closeSeats",
      ///    "params": [
      ///      {
      ///        "seatIndices": "List<int>"
      ///      }
      ///    ]
      ///  }
      case 'closeSeats':
        {
          var argSeatIndices;
          argSeatIndices =
              (params[0]['seatIndices'] as List).map((e) => e as int).toList();
          return [
            target!.closeSeats(
              argSeatIndices,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "openSeats",
      ///    "params": [
      ///      {
      ///        "seatIndices": "List<int>"
      ///      }
      ///    ]
      ///  }
      case 'openSeats':
        {
          var argSeatIndices;
          argSeatIndices =
              (params[0]['seatIndices'] as List).map((e) => e as int).toList();
          return [
            target!.openSeats(
              argSeatIndices,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "getSeatInfo",
      ///    "params": []
      ///  }
      case 'getSeatInfo':
        {
          return [target!.getSeatInfo()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "getSeatRequestList",
      ///    "params": []
      ///  }
      case 'getSeatRequestList':
        {
          return [target!.getSeatRequestList()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "getSeatInvitationList",
      ///    "params": []
      ///  }
      case 'getSeatInvitationList':
        {
          return [target!.getSeatInvitationList()];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "addEventCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NESeatEventCallback"
      ///      }
      ///    ]
      ///  }
      case 'addEventCallback':
        {
          var argCallback;
          argCallback = (await factory[NESeatEventCallback]
              ?.call(params[0]['callback'])) as NESeatEventCallback;
          return [
            target!.addEventCallback(
              argCallback,
            )
          ];
        }

      ///  {
      ///    "className": "NERoomSeatController",
      ///    "methodName": "removeEventCallback",
      ///    "params": [
      ///      {
      ///        "callback": "NESeatEventCallback"
      ///      }
      ///    ]
      ///  }
      case 'removeEventCallback':
        {
          var argCallback;
          argCallback = (await factory[NESeatEventCallback]
              ?.call(params[0]['callback'])) as NESeatEventCallback;
          return [
            target!.removeEventCallback(
              argCallback,
            )
          ];
        }
    }
    return null;
  }
}
