// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

import 'package:flutter/material.dart';
import 'package:netease_roomkit/netease_roomkit.dart';

class VideoViewPage extends StatefulWidget {
  final String roomUuid;

  const VideoViewPage({required this.roomUuid, Key? key}) : super(key: key);

  @override
  State<VideoViewPage> createState() => _VideoViewPageState();
}

class _VideoViewPageState extends State<VideoViewPage> {
  int count = 1;
  NERtcVideoRenderer? renderer;

  @override
  void initState() {
    super.initState();
    initVideoView();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('预览'),
        centerTitle: true,
      ),
      backgroundColor: Colors.white,
      body: Stack(
        children: [renderer == null ? Container() : NERtcVideoView(renderer!)],
      ),
    );
  }

  Future<void> initVideoView() async {
    renderer =
        await NERtcVideoRendererFactory.createVideoRenderer(widget.roomUuid);
    await renderer!.attachToLocalVideo();
    setState(() {});
  }
}
