// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

#import <Foundation/Foundation.h>

#import <Flutter/Flutter.h>
#import <NERtcSDK/NERtcSDK.h>
@import NERoomKit;
NS_ASSUME_NONNULL_BEGIN

@interface FLTRoomVideoRenderer : NSObject <FlutterTexture, NERoomVideoRenderSink>
@property(nonatomic) int64_t textureId;

- (instancetype)initWithTextureRegistry:(id<FlutterTextureRegistry>)registry
                              messenger:(NSObject<FlutterBinaryMessenger> *)messenger;

- (void)setMirror:(BOOL)mirror;
- (void)setFirstRender:(BOOL)firstRender;
- (void)clearImage;
- (void)dispose;

@end

NS_ASSUME_NONNULL_END
