// Autogenerated from Pigeon (v9.2.5), do not edit directly.
// See also: https://pub.dev/packages/pigeon

#import <Foundation/Foundation.h>

@protocol FlutterBinaryMessenger;
@protocol FlutterMessageCodec;
@class FlutterError;
@class FlutterStandardTypedData;

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, FLTAudioStreamType) {
  FLTAudioStreamTypeAudioStreamTypeMain = 0,
  FLTAudioStreamTypeAudioStreamTypeSub = 1,
};

@class FLTSimpleResponse;
@class FLTInitializeRequest;
@class FLTSDKVersions;
@class FLTAuthStatusEvent;
@class FLTCreateRoomParams;
@class FLTSeatInitParams;
@class FLTCreateRoomOptions;
@class FLTCrossAppAuthorization;
@class FLTJoinRoomParams;
@class FLTJoinRoomOptions;
@class FLTPreviewRoomParams;
@class FLTPreviewRoomOptions;
@class FLTRoomRole;
@class FLTRoleParams;
@class FLTRoleVideoParams;
@class FLTRoleScreenParams;
@class FLTRoleAudioParams;
@class FLTRoomMember;
@class FLTRoomSnapshot;
@class FLTJoinRoomResponse;
@class FLTRoomMessageAttachment;
@class FLTRoomMessage;
@class FLTRoomMessageEvent;
@class FLTPropertyEvent;
@class FLTMemberRoleChangeEvent;
@class FLTMembersEvent;
@class FLTCommonEvent;
@class FLTMemberToggleEvent;
@class FLTRoomToggleEvent;
@class FLTMemberVolumeInfo;
@class FLTLocalVolumeEvent;
@class FLTRtcVolumeEvent;
@class FLTWhiteboardShowFileChooserTypeEvent;
@class FLTRtcVirtualBackgroundSourceEvent;
@class FLTCreateAudioMixingOption;
@class FLTCreateAudioEffectOption;
@class FLTRoomLiveStreamTaskInfo;
@class FLTRoomLiveStreamLayout;
@class FLTRoomLiveStreamUserTranscoding;
@class FLTRoomLiveStreamImageInfo;
@class FLTRoomLiveConfig;
@class FLTNERoomVirtualBackgroundSource;
@class FLTStartScreenShareRequest;
@class FLTPassThroughMessageEvent;
@class FLTRoomLiveRequest;
@class FLTRoomLiveInfo;
@class FLTRoomLiveResponse;
@class FLTChatRoomMember;
@class FLTChatRoomMembersResponse;
@class FLTSeatInfoResponse;
@class FLTSeatInfo;
@class FLTSeatItem;
@class FLTSeatRequestListResponse;
@class FLTSeatRequestItem;
@class FLTSeatInvitationListResponse;
@class FLTSeatInvitationItem;
@class FLTRoomStatsEvent;
@class FLTRoomNetworkQuality;

@interface FLTSimpleResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    data1:(nullable NSNumber *)data1
    data2:(nullable NSNumber *)data2
    data3:(nullable NSString *)data3;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong, nullable) NSNumber * data1;
@property(nonatomic, strong, nullable) NSNumber * data2;
@property(nonatomic, copy, nullable) NSString * data3;
@end

@interface FLTInitializeRequest : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithAppKey:(NSString *)appKey
    serverUrl:(nullable NSString *)serverUrl
    useAssetServerConfig:(NSNumber *)useAssetServerConfig
    serverConfigJson:(nullable NSString *)serverConfigJson
    extras:(nullable NSDictionary<NSString *, NSString *> *)extras;
@property(nonatomic, copy) NSString * appKey;
@property(nonatomic, copy, nullable) NSString * serverUrl;
@property(nonatomic, strong) NSNumber * useAssetServerConfig;
@property(nonatomic, copy, nullable) NSString * serverConfigJson;
@property(nonatomic, strong, nullable) NSDictionary<NSString *, NSString *> * extras;
@end

@interface FLTSDKVersions : NSObject
+ (instancetype)makeWithImVersion:(nullable NSString *)imVersion
    rtcVersion:(nullable NSString *)rtcVersion
    whiteboardVersion:(nullable NSString *)whiteboardVersion
    roomKitVersion:(nullable NSString *)roomKitVersion;
@property(nonatomic, copy, nullable) NSString * imVersion;
@property(nonatomic, copy, nullable) NSString * rtcVersion;
@property(nonatomic, copy, nullable) NSString * whiteboardVersion;
@property(nonatomic, copy, nullable) NSString * roomKitVersion;
@end

@interface FLTAuthStatusEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithStatus:(NSString *)status
    isLoggedIn:(NSNumber *)isLoggedIn;
@property(nonatomic, copy) NSString * status;
@property(nonatomic, strong) NSNumber * isLoggedIn;
@end

@interface FLTCreateRoomParams : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    roomName:(NSString *)roomName
    templateId:(NSNumber *)templateId
    password:(nullable NSString *)password
    seatInitParams:(nullable FLTSeatInitParams *)seatInitParams
    initialProperties:(nullable NSDictionary<NSString *, NSString *> *)initialProperties;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy) NSString * roomName;
@property(nonatomic, strong) NSNumber * templateId;
@property(nonatomic, copy, nullable) NSString * password;
@property(nonatomic, strong, nullable) FLTSeatInitParams * seatInitParams;
@property(nonatomic, strong, nullable) NSDictionary<NSString *, NSString *> * initialProperties;
@end

@interface FLTSeatInitParams : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithSeatCount:(NSNumber *)seatCount
    seatRequestApprovalMode:(NSNumber *)seatRequestApprovalMode
    seatInvitationConfirmMode:(NSNumber *)seatInvitationConfirmMode;
@property(nonatomic, strong) NSNumber * seatCount;
@property(nonatomic, strong) NSNumber * seatRequestApprovalMode;
@property(nonatomic, strong) NSNumber * seatInvitationConfirmMode;
@end

@interface FLTCreateRoomOptions : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithEnableRecord:(NSNumber *)enableRecord
    enableLive:(NSNumber *)enableLive
    enableRtc:(NSNumber *)enableRtc
    enableChatroom:(NSNumber *)enableChatroom
    enableWhiteboard:(NSNumber *)enableWhiteboard;
@property(nonatomic, strong) NSNumber * enableRecord;
@property(nonatomic, strong) NSNumber * enableLive;
@property(nonatomic, strong) NSNumber * enableRtc;
@property(nonatomic, strong) NSNumber * enableChatroom;
@property(nonatomic, strong) NSNumber * enableWhiteboard;
@end

@interface FLTCrossAppAuthorization : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithAppKey:(NSString *)appKey
    user:(NSString *)user
    token:(NSString *)token;
@property(nonatomic, copy) NSString * appKey;
@property(nonatomic, copy) NSString * user;
@property(nonatomic, copy) NSString * token;
@end

@interface FLTJoinRoomParams : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    userName:(NSString *)userName
    avatar:(nullable NSString *)avatar
    role:(NSString *)role
    password:(nullable NSString *)password
    crossAppAuthorization:(nullable FLTCrossAppAuthorization *)crossAppAuthorization
    initialProperties:(nullable NSDictionary<NSString *, NSString *> *)initialProperties;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy) NSString * userName;
@property(nonatomic, copy, nullable) NSString * avatar;
@property(nonatomic, copy) NSString * role;
@property(nonatomic, copy, nullable) NSString * password;
@property(nonatomic, strong, nullable) FLTCrossAppAuthorization * crossAppAuthorization;
@property(nonatomic, strong, nullable) NSDictionary<NSString *, NSString *> * initialProperties;
@end

@interface FLTJoinRoomOptions : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithEnableMyAudioDeviceOnJoinRtc:(NSNumber *)enableMyAudioDeviceOnJoinRtc;
@property(nonatomic, strong) NSNumber * enableMyAudioDeviceOnJoinRtc;
@end

@interface FLTPreviewRoomParams : NSObject
+ (instancetype)makeWithValue:(nullable NSNumber *)value;
@property(nonatomic, strong, nullable) NSNumber * value;
@end

@interface FLTPreviewRoomOptions : NSObject
+ (instancetype)makeWithValue:(nullable NSNumber *)value;
@property(nonatomic, strong, nullable) NSNumber * value;
@end

@interface FLTRoomRole : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithName:(NSString *)name
    limit:(NSNumber *)limit
    params:(nullable FLTRoleParams *)params;
@property(nonatomic, copy) NSString * name;
@property(nonatomic, strong) NSNumber * limit;
@property(nonatomic, strong, nullable) FLTRoleParams * params;
@end

@interface FLTRoleParams : NSObject
+ (instancetype)makeWithVideo:(nullable FLTRoleVideoParams *)video
    audio:(nullable FLTRoleAudioParams *)audio
    screen:(nullable FLTRoleScreenParams *)screen;
@property(nonatomic, strong, nullable) FLTRoleVideoParams * video;
@property(nonatomic, strong, nullable) FLTRoleAudioParams * audio;
@property(nonatomic, strong, nullable) FLTRoleScreenParams * screen;
@end

@interface FLTRoleVideoParams : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithWidth:(NSNumber *)width
    height:(NSNumber *)height
    fps:(NSNumber *)fps;
@property(nonatomic, strong) NSNumber * width;
@property(nonatomic, strong) NSNumber * height;
@property(nonatomic, strong) NSNumber * fps;
@end

@interface FLTRoleScreenParams : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithVideoProfile:(NSString *)videoProfile;
@property(nonatomic, copy) NSString * videoProfile;
@end

@interface FLTRoleAudioParams : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithProfile:(NSString *)profile
    scenario:(NSString *)scenario;
@property(nonatomic, copy) NSString * profile;
@property(nonatomic, copy) NSString * scenario;
@end

@interface FLTRoomMember : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithUuid:(NSString *)uuid
    name:(NSString *)name
    avatar:(nullable NSString *)avatar
    role:(nullable FLTRoomRole *)role
    isAudioOn:(NSNumber *)isAudioOn
    isVideoOn:(NSNumber *)isVideoOn
    isInRtcChannel:(NSNumber *)isInRtcChannel
    isInChatroom:(NSNumber *)isInChatroom
    isSharingScreen:(NSNumber *)isSharingScreen
    isSharingWhiteboard:(NSNumber *)isSharingWhiteboard
    properties:(nullable NSDictionary<NSString *, NSString *> *)properties
    clientType:(NSString *)clientType;
@property(nonatomic, copy) NSString * uuid;
@property(nonatomic, copy) NSString * name;
@property(nonatomic, copy, nullable) NSString * avatar;
@property(nonatomic, strong, nullable) FLTRoomRole * role;
@property(nonatomic, strong) NSNumber * isAudioOn;
@property(nonatomic, strong) NSNumber * isVideoOn;
@property(nonatomic, strong) NSNumber * isInRtcChannel;
@property(nonatomic, strong) NSNumber * isInChatroom;
@property(nonatomic, strong) NSNumber * isSharingScreen;
@property(nonatomic, strong) NSNumber * isSharingWhiteboard;
@property(nonatomic, strong, nullable) NSDictionary<NSString *, NSString *> * properties;
@property(nonatomic, copy) NSString * clientType;
@end

@interface FLTRoomSnapshot : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    roomName:(NSString *)roomName
    password:(nullable NSString *)password
    isRoomLocked:(NSNumber *)isRoomLocked
    rtcStartTime:(NSNumber *)rtcStartTime
    localMember:(nullable FLTRoomMember *)localMember
    remoteMembers:(NSArray<FLTRoomMember *> *)remoteMembers
    properties:(nullable NSDictionary<NSString *, NSString *> *)properties
    isRtcSupported:(NSNumber *)isRtcSupported
    isChatroomSupported:(NSNumber *)isChatroomSupported
    isWhiteboardSupported:(NSNumber *)isWhiteboardSupported
    isCloudRecordSupported:(NSNumber *)isCloudRecordSupported
    isLiveSupported:(NSNumber *)isLiveSupported
    isSeatSupported:(NSNumber *)isSeatSupported
    sipCid:(nullable NSString *)sipCid
    remainingSeconds:(nullable NSNumber *)remainingSeconds;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy) NSString * roomName;
@property(nonatomic, copy, nullable) NSString * password;
@property(nonatomic, strong) NSNumber * isRoomLocked;
@property(nonatomic, strong) NSNumber * rtcStartTime;
@property(nonatomic, strong, nullable) FLTRoomMember * localMember;
@property(nonatomic, strong) NSArray<FLTRoomMember *> * remoteMembers;
@property(nonatomic, strong, nullable) NSDictionary<NSString *, NSString *> * properties;
@property(nonatomic, strong) NSNumber * isRtcSupported;
@property(nonatomic, strong) NSNumber * isChatroomSupported;
@property(nonatomic, strong) NSNumber * isWhiteboardSupported;
@property(nonatomic, strong) NSNumber * isCloudRecordSupported;
@property(nonatomic, strong) NSNumber * isLiveSupported;
@property(nonatomic, strong) NSNumber * isSeatSupported;
@property(nonatomic, copy, nullable) NSString * sipCid;
@property(nonatomic, strong, nullable) NSNumber * remainingSeconds;
@end

@interface FLTJoinRoomResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    snapshot:(nullable FLTRoomSnapshot *)snapshot;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong, nullable) FLTRoomSnapshot * snapshot;
@end

@interface FLTRoomMessageAttachment : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithDisplayName:(nullable NSString *)displayName
    extension:(nullable NSString *)extension
    md5:(nullable NSString *)md5
    url:(NSString *)url
    size:(NSNumber *)size
    thumbPath:(nullable NSString *)thumbPath
    path:(nullable NSString *)path
    width:(nullable NSNumber *)width
    height:(nullable NSNumber *)height;
@property(nonatomic, copy, nullable) NSString * displayName;
@property(nonatomic, copy, nullable) NSString * extension;
@property(nonatomic, copy, nullable) NSString * md5;
@property(nonatomic, copy) NSString * url;
@property(nonatomic, strong) NSNumber * size;
@property(nonatomic, copy, nullable) NSString * thumbPath;
@property(nonatomic, copy, nullable) NSString * path;
@property(nonatomic, strong, nullable) NSNumber * width;
@property(nonatomic, strong, nullable) NSNumber * height;
@end

@interface FLTRoomMessage : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithUuid:(NSString *)uuid
    type:(NSString *)type
    fromAccount:(nullable NSString *)fromAccount
    fromNick:(NSString *)fromNick
    content:(nullable NSString *)content
    toAccounts:(nullable NSArray<NSString *> *)toAccounts
    time:(NSNumber *)time
    attachment:(nullable FLTRoomMessageAttachment *)attachment;
@property(nonatomic, copy) NSString * uuid;
@property(nonatomic, copy) NSString * type;
@property(nonatomic, copy, nullable) NSString * fromAccount;
@property(nonatomic, copy) NSString * fromNick;
@property(nonatomic, copy, nullable) NSString * content;
@property(nonatomic, strong, nullable) NSArray<NSString *> * toAccounts;
@property(nonatomic, strong) NSNumber * time;
@property(nonatomic, strong, nullable) FLTRoomMessageAttachment * attachment;
@end

@interface FLTRoomMessageEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    messages:(NSArray<FLTRoomMessage *> *)messages;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong) NSArray<FLTRoomMessage *> * messages;
@end

@interface FLTPropertyEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    userUuid:(nullable NSString *)userUuid
    properties:(NSDictionary<NSString *, NSString *> *)properties;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy, nullable) NSString * userUuid;
@property(nonatomic, strong) NSDictionary<NSString *, NSString *> * properties;
@end

@interface FLTMemberRoleChangeEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    userUuid:(NSString *)userUuid
    role:(nullable FLTRoomRole *)role;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy) NSString * userUuid;
@property(nonatomic, strong, nullable) FLTRoomRole * role;
@end

@interface FLTMembersEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    members:(nullable NSArray<FLTRoomMember *> *)members
    uuids:(nullable NSArray<NSString *> *)uuids;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong, nullable) NSArray<FLTRoomMember *> * members;
@property(nonatomic, strong, nullable) NSArray<NSString *> * uuids;
@end

@interface FLTCommonEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    userUuid:(nullable NSString *)userUuid
    arg1:(nullable NSNumber *)arg1
    arg2:(nullable NSNumber *)arg2
    sArg1:(nullable NSString *)sArg1
    sArg2:(nullable NSString *)sArg2;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy, nullable) NSString * userUuid;
@property(nonatomic, strong, nullable) NSNumber * arg1;
@property(nonatomic, strong, nullable) NSNumber * arg2;
@property(nonatomic, copy, nullable) NSString * sArg1;
@property(nonatomic, copy, nullable) NSString * sArg2;
@end

@interface FLTMemberToggleEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    userUuid:(NSString *)userUuid
    operateUuid:(nullable NSString *)operateUuid
    isOn:(NSNumber *)isOn;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, copy) NSString * userUuid;
@property(nonatomic, copy, nullable) NSString * operateUuid;
@property(nonatomic, strong) NSNumber * isOn;
@end

@interface FLTRoomToggleEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    isOn:(NSNumber *)isOn;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong) NSNumber * isOn;
@end

@interface FLTMemberVolumeInfo : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithUserUuid:(NSString *)userUuid
    volume:(NSNumber *)volume;
@property(nonatomic, copy) NSString * userUuid;
@property(nonatomic, strong) NSNumber * volume;
@end

@interface FLTLocalVolumeEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    volume:(NSNumber *)volume
    enableVad:(NSNumber *)enableVad;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong) NSNumber * volume;
@property(nonatomic, strong) NSNumber * enableVad;
@end

@interface FLTRtcVolumeEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    volumes:(nullable NSArray<FLTMemberVolumeInfo *> *)volumes
    totalVolume:(NSNumber *)totalVolume;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong, nullable) NSArray<FLTMemberVolumeInfo *> * volumes;
@property(nonatomic, strong) NSNumber * totalVolume;
@end

@interface FLTWhiteboardShowFileChooserTypeEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    types:(NSArray<NSString *> *)types;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong) NSArray<NSString *> * types;
@end

@interface FLTRtcVirtualBackgroundSourceEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    enabled:(NSNumber *)enabled
    reason:(NSNumber *)reason;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong) NSNumber * enabled;
@property(nonatomic, strong) NSNumber * reason;
@end

@interface FLTCreateAudioMixingOption : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithPath:(NSString *)path
    loopCount:(NSNumber *)loopCount
    sendEnabled:(NSNumber *)sendEnabled
    sendVolume:(NSNumber *)sendVolume
    playbackEnabled:(NSNumber *)playbackEnabled
    playbackVolume:(NSNumber *)playbackVolume
    startTimeStamp:(NSNumber *)startTimeStamp
    sendWithAudioType:(FLTAudioStreamType)sendWithAudioType;
@property(nonatomic, copy) NSString * path;
@property(nonatomic, strong) NSNumber * loopCount;
@property(nonatomic, strong) NSNumber * sendEnabled;
@property(nonatomic, strong) NSNumber * sendVolume;
@property(nonatomic, strong) NSNumber * playbackEnabled;
@property(nonatomic, strong) NSNumber * playbackVolume;
@property(nonatomic, strong) NSNumber * startTimeStamp;
@property(nonatomic, assign) FLTAudioStreamType sendWithAudioType;
@end

@interface FLTCreateAudioEffectOption : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithPath:(NSString *)path
    loopCount:(NSNumber *)loopCount
    sendEnabled:(NSNumber *)sendEnabled
    sendVolume:(NSNumber *)sendVolume
    playbackEnabled:(NSNumber *)playbackEnabled
    playbackVolume:(NSNumber *)playbackVolume
    startTimeStamp:(NSNumber *)startTimeStamp
    progressInterval:(NSNumber *)progressInterval
    sendWithAudioType:(FLTAudioStreamType)sendWithAudioType;
@property(nonatomic, copy) NSString * path;
@property(nonatomic, strong) NSNumber * loopCount;
@property(nonatomic, strong) NSNumber * sendEnabled;
@property(nonatomic, strong) NSNumber * sendVolume;
@property(nonatomic, strong) NSNumber * playbackEnabled;
@property(nonatomic, strong) NSNumber * playbackVolume;
@property(nonatomic, strong) NSNumber * startTimeStamp;
@property(nonatomic, strong) NSNumber * progressInterval;
@property(nonatomic, assign) FLTAudioStreamType sendWithAudioType;
@end

@interface FLTRoomLiveStreamTaskInfo : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithTaskID:(NSString *)taskID
    streamURL:(NSString *)streamURL
    serverRecordEnabled:(NSNumber *)serverRecordEnabled
    extraInfo:(nullable NSString *)extraInfo
    layout:(nullable FLTRoomLiveStreamLayout *)layout
    config:(nullable FLTRoomLiveConfig *)config
    lsMode:(NSNumber *)lsMode;
@property(nonatomic, copy) NSString * taskID;
@property(nonatomic, copy) NSString * streamURL;
@property(nonatomic, strong) NSNumber * serverRecordEnabled;
@property(nonatomic, copy, nullable) NSString * extraInfo;
@property(nonatomic, strong, nullable) FLTRoomLiveStreamLayout * layout;
@property(nonatomic, strong, nullable) FLTRoomLiveConfig * config;
@property(nonatomic, strong) NSNumber * lsMode;
@end

@interface FLTRoomLiveStreamLayout : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithWidth:(NSNumber *)width
    height:(NSNumber *)height
    backgroundColor:(NSNumber *)backgroundColor
    users:(nullable NSArray<FLTRoomLiveStreamUserTranscoding *> *)users
    bgImage:(nullable FLTRoomLiveStreamImageInfo *)bgImage;
@property(nonatomic, strong) NSNumber * width;
@property(nonatomic, strong) NSNumber * height;
@property(nonatomic, strong) NSNumber * backgroundColor;
@property(nonatomic, strong, nullable) NSArray<FLTRoomLiveStreamUserTranscoding *> * users;
@property(nonatomic, strong, nullable) FLTRoomLiveStreamImageInfo * bgImage;
@end

@interface FLTRoomLiveStreamUserTranscoding : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithUserUuid:(NSString *)userUuid
    videoPush:(NSNumber *)videoPush
    x:(NSNumber *)x
    y:(NSNumber *)y
    width:(NSNumber *)width
    height:(NSNumber *)height
    audioPush:(NSNumber *)audioPush
    zOrder:(NSNumber *)zOrder
    adaption:(NSNumber *)adaption;
@property(nonatomic, copy) NSString * userUuid;
@property(nonatomic, strong) NSNumber * videoPush;
@property(nonatomic, strong) NSNumber * x;
@property(nonatomic, strong) NSNumber * y;
@property(nonatomic, strong) NSNumber * width;
@property(nonatomic, strong) NSNumber * height;
@property(nonatomic, strong) NSNumber * audioPush;
@property(nonatomic, strong) NSNumber * zOrder;
@property(nonatomic, strong) NSNumber * adaption;
@end

@interface FLTRoomLiveStreamImageInfo : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithUrl:(nullable NSString *)url
    x:(NSNumber *)x
    y:(NSNumber *)y
    width:(NSNumber *)width
    height:(NSNumber *)height;
@property(nonatomic, copy, nullable) NSString * url;
@property(nonatomic, strong) NSNumber * x;
@property(nonatomic, strong) NSNumber * y;
@property(nonatomic, strong) NSNumber * width;
@property(nonatomic, strong) NSNumber * height;
@end

@interface FLTRoomLiveConfig : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithSingleVideoPassthrough:(NSNumber *)singleVideoPassthrough
    audioBitrate:(NSNumber *)audioBitrate
    sampleRate:(NSNumber *)sampleRate
    channels:(NSNumber *)channels
    audioCodecProfile:(NSNumber *)audioCodecProfile;
@property(nonatomic, strong) NSNumber * singleVideoPassthrough;
@property(nonatomic, strong) NSNumber * audioBitrate;
@property(nonatomic, strong) NSNumber * sampleRate;
@property(nonatomic, strong) NSNumber * channels;
@property(nonatomic, strong) NSNumber * audioCodecProfile;
@end

@interface FLTNERoomVirtualBackgroundSource : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithBackgroundSourceType:(NSNumber *)backgroundSourceType
    color:(NSNumber *)color
    source:(NSString *)source
    blurDegree:(NSNumber *)blurDegree;
@property(nonatomic, strong) NSNumber * backgroundSourceType;
@property(nonatomic, strong) NSNumber * color;
@property(nonatomic, copy) NSString * source;
@property(nonatomic, strong) NSNumber * blurDegree;
@end

@interface FLTStartScreenShareRequest : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(NSString *)roomUuid
    videoProfile:(nullable NSNumber *)videoProfile
    frameRate:(nullable NSNumber *)frameRate
    iosAppGroup:(nullable NSString *)iosAppGroup;
@property(nonatomic, copy) NSString * roomUuid;
@property(nonatomic, strong, nullable) NSNumber * videoProfile;
@property(nonatomic, strong, nullable) NSNumber * frameRate;
@property(nonatomic, copy, nullable) NSString * iosAppGroup;
@end

@interface FLTPassThroughMessageEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithRoomUuid:(nullable NSString *)roomUuid
    senderUuid:(nullable NSString *)senderUuid
    data:(NSString *)data
    commandId:(NSNumber *)commandId;
@property(nonatomic, copy, nullable) NSString * roomUuid;
@property(nonatomic, copy, nullable) NSString * senderUuid;
@property(nonatomic, copy) NSString * data;
@property(nonatomic, strong) NSNumber * commandId;
@end

@interface FLTRoomLiveRequest : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithTitle:(NSString *)title
    liveLayout:(NSNumber *)liveLayout
    password:(nullable NSString *)password
    userUuidList:(NSArray<NSString *> *)userUuidList
    extensionConfig:(nullable NSString *)extensionConfig;
@property(nonatomic, copy) NSString * title;
@property(nonatomic, strong) NSNumber * liveLayout;
@property(nonatomic, copy, nullable) NSString * password;
@property(nonatomic, strong) NSArray<NSString *> * userUuidList;
@property(nonatomic, copy, nullable) NSString * extensionConfig;
@end

@interface FLTRoomLiveInfo : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithTaskId:(nullable NSString *)taskId
    pushUrl:(nullable NSString *)pushUrl
    chatRoomId:(nullable NSString *)chatRoomId
    httpPullUrl:(nullable NSString *)httpPullUrl
    rtmpPullUrl:(nullable NSString *)rtmpPullUrl
    hlsPullUrl:(nullable NSString *)hlsPullUrl
    title:(nullable NSString *)title
    liveLayout:(nullable NSNumber *)liveLayout
    password:(nullable NSString *)password
    userUuidList:(nullable NSArray<NSString *> *)userUuidList
    state:(NSNumber *)state
    extensionConfig:(nullable NSString *)extensionConfig;
@property(nonatomic, copy, nullable) NSString * taskId;
@property(nonatomic, copy, nullable) NSString * pushUrl;
@property(nonatomic, copy, nullable) NSString * chatRoomId;
@property(nonatomic, copy, nullable) NSString * httpPullUrl;
@property(nonatomic, copy, nullable) NSString * rtmpPullUrl;
@property(nonatomic, copy, nullable) NSString * hlsPullUrl;
@property(nonatomic, copy, nullable) NSString * title;
@property(nonatomic, strong, nullable) NSNumber * liveLayout;
@property(nonatomic, copy, nullable) NSString * password;
@property(nonatomic, strong, nullable) NSArray<NSString *> * userUuidList;
@property(nonatomic, strong) NSNumber * state;
@property(nonatomic, copy, nullable) NSString * extensionConfig;
@end

@interface FLTRoomLiveResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    liveInfo:(nullable FLTRoomLiveInfo *)liveInfo;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong, nullable) FLTRoomLiveInfo * liveInfo;
@end

@interface FLTChatRoomMember : NSObject
+ (instancetype)makeWithNick:(nullable NSString *)nick
    avatar:(nullable NSString *)avatar;
@property(nonatomic, copy, nullable) NSString * nick;
@property(nonatomic, copy, nullable) NSString * avatar;
@end

@interface FLTChatRoomMembersResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    chatRoomMembers:(NSArray<FLTChatRoomMember *> *)chatRoomMembers;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong) NSArray<FLTChatRoomMember *> * chatRoomMembers;
@end

@interface FLTSeatInfoResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    seatInfo:(nullable FLTSeatInfo *)seatInfo;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong, nullable) FLTSeatInfo * seatInfo;
@end

@interface FLTSeatInfo : NSObject
+ (instancetype)makeWithCreator:(nullable NSString *)creator
    managers:(nullable NSArray<NSString *> *)managers
    seatItems:(nullable NSArray<FLTSeatItem *> *)seatItems;
@property(nonatomic, copy, nullable) NSString * creator;
@property(nonatomic, strong, nullable) NSArray<NSString *> * managers;
@property(nonatomic, strong, nullable) NSArray<FLTSeatItem *> * seatItems;
@end

@interface FLTSeatItem : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithIndex:(NSNumber *)index
    status:(NSNumber *)status
    user:(nullable NSString *)user
    userName:(nullable NSString *)userName
    icon:(nullable NSString *)icon
    onSeatType:(NSNumber *)onSeatType
    updated:(NSNumber *)updated;
@property(nonatomic, strong) NSNumber * index;
@property(nonatomic, strong) NSNumber * status;
@property(nonatomic, copy, nullable) NSString * user;
@property(nonatomic, copy, nullable) NSString * userName;
@property(nonatomic, copy, nullable) NSString * icon;
@property(nonatomic, strong) NSNumber * onSeatType;
@property(nonatomic, strong) NSNumber * updated;
@end

@interface FLTSeatRequestListResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    seatRequestList:(NSArray<FLTSeatRequestItem *> *)seatRequestList;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong) NSArray<FLTSeatRequestItem *> * seatRequestList;
@end

@interface FLTSeatRequestItem : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithIndex:(NSNumber *)index
    user:(NSString *)user
    userName:(nullable NSString *)userName
    icon:(nullable NSString *)icon;
@property(nonatomic, strong) NSNumber * index;
@property(nonatomic, copy) NSString * user;
@property(nonatomic, copy, nullable) NSString * userName;
@property(nonatomic, copy, nullable) NSString * icon;
@end

@interface FLTSeatInvitationListResponse : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithCode:(NSNumber *)code
    msg:(nullable NSString *)msg
    seatInvitationList:(NSArray<FLTSeatInvitationItem *> *)seatInvitationList;
@property(nonatomic, strong) NSNumber * code;
@property(nonatomic, copy, nullable) NSString * msg;
@property(nonatomic, strong) NSArray<FLTSeatInvitationItem *> * seatInvitationList;
@end

@interface FLTSeatInvitationItem : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithIndex:(NSNumber *)index
    user:(NSString *)user;
@property(nonatomic, strong) NSNumber * index;
@property(nonatomic, copy) NSString * user;
@end

@interface FLTRoomStatsEvent : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithTxBytes:(NSNumber *)txBytes
    rxBytes:(NSNumber *)rxBytes
    cpuAppUsage:(NSNumber *)cpuAppUsage
    cpuTotalUsage:(NSNumber *)cpuTotalUsage
    memoryAppUsageRatio:(NSNumber *)memoryAppUsageRatio
    memoryTotalUsageRatio:(NSNumber *)memoryTotalUsageRatio
    memoryAppUsageInKBytes:(NSNumber *)memoryAppUsageInKBytes
    totalDuration:(NSNumber *)totalDuration
    txAudioBytes:(NSNumber *)txAudioBytes
    txVideoBytes:(NSNumber *)txVideoBytes
    rxAudioBytes:(NSNumber *)rxAudioBytes
    rxVideoBytes:(NSNumber *)rxVideoBytes
    rxAudioKBitRate:(NSNumber *)rxAudioKBitRate
    rxVideoKBitRate:(NSNumber *)rxVideoKBitRate
    txAudioKBitRate:(NSNumber *)txAudioKBitRate
    txVideoKBitRate:(NSNumber *)txVideoKBitRate
    upRtt:(NSNumber *)upRtt
    downRtt:(NSNumber *)downRtt
    txAudioPacketLossRate:(NSNumber *)txAudioPacketLossRate
    txVideoPacketLossRate:(NSNumber *)txVideoPacketLossRate
    txAudioPacketLossSum:(NSNumber *)txAudioPacketLossSum
    txVideoPacketLossSum:(NSNumber *)txVideoPacketLossSum
    txAudioJitter:(NSNumber *)txAudioJitter
    txVideoJitter:(NSNumber *)txVideoJitter
    rxAudioPacketLossRate:(NSNumber *)rxAudioPacketLossRate
    rxVideoPacketLossRate:(NSNumber *)rxVideoPacketLossRate
    rxAudioPacketLossSum:(NSNumber *)rxAudioPacketLossSum
    rxVideoPacketLossSum:(NSNumber *)rxVideoPacketLossSum
    rxAudioJitter:(NSNumber *)rxAudioJitter
    rxVideoJitter:(NSNumber *)rxVideoJitter;
@property(nonatomic, strong) NSNumber * txBytes;
@property(nonatomic, strong) NSNumber * rxBytes;
@property(nonatomic, strong) NSNumber * cpuAppUsage;
@property(nonatomic, strong) NSNumber * cpuTotalUsage;
@property(nonatomic, strong) NSNumber * memoryAppUsageRatio;
@property(nonatomic, strong) NSNumber * memoryTotalUsageRatio;
@property(nonatomic, strong) NSNumber * memoryAppUsageInKBytes;
@property(nonatomic, strong) NSNumber * totalDuration;
@property(nonatomic, strong) NSNumber * txAudioBytes;
@property(nonatomic, strong) NSNumber * txVideoBytes;
@property(nonatomic, strong) NSNumber * rxAudioBytes;
@property(nonatomic, strong) NSNumber * rxVideoBytes;
@property(nonatomic, strong) NSNumber * rxAudioKBitRate;
@property(nonatomic, strong) NSNumber * rxVideoKBitRate;
@property(nonatomic, strong) NSNumber * txAudioKBitRate;
@property(nonatomic, strong) NSNumber * txVideoKBitRate;
@property(nonatomic, strong) NSNumber * upRtt;
@property(nonatomic, strong) NSNumber * downRtt;
@property(nonatomic, strong) NSNumber * txAudioPacketLossRate;
@property(nonatomic, strong) NSNumber * txVideoPacketLossRate;
@property(nonatomic, strong) NSNumber * txAudioPacketLossSum;
@property(nonatomic, strong) NSNumber * txVideoPacketLossSum;
@property(nonatomic, strong) NSNumber * txAudioJitter;
@property(nonatomic, strong) NSNumber * txVideoJitter;
@property(nonatomic, strong) NSNumber * rxAudioPacketLossRate;
@property(nonatomic, strong) NSNumber * rxVideoPacketLossRate;
@property(nonatomic, strong) NSNumber * rxAudioPacketLossSum;
@property(nonatomic, strong) NSNumber * rxVideoPacketLossSum;
@property(nonatomic, strong) NSNumber * rxAudioJitter;
@property(nonatomic, strong) NSNumber * rxVideoJitter;
@end

@interface FLTRoomNetworkQuality : NSObject
/// `init` unavailable to enforce nonnull fields, see the `make` class method.
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)makeWithUserId:(nullable NSString *)userId
    upStatus:(NSNumber *)upStatus
    downStatus:(NSNumber *)downStatus;
@property(nonatomic, copy, nullable) NSString * userId;
@property(nonatomic, strong) NSNumber * upStatus;
@property(nonatomic, strong) NSNumber * downStatus;
@end

/// The codec used by FLTRoomKitApi.
NSObject<FlutterMessageCodec> *FLTRoomKitApiGetCodec(void);

@protocol FLTRoomKitApi
- (void)initializeOptions:(FLTInitializeRequest *)options completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
/// @return `nil` only when `error != nil`.
- (nullable FLTSDKVersions *)sdkVersionsWithError:(FlutterError *_Nullable *_Nonnull)error;
/// @return `nil` only when `error != nil`.
- (nullable NSNumber *)switchLanguageLanguageCode:(NSString *)languageCode error:(FlutterError *_Nullable *_Nonnull)error;
@end

extern void FLTRoomKitApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomKitApi> *_Nullable api);

/// The codec used by FLTAuthServiceApi.
NSObject<FlutterMessageCodec> *FLTAuthServiceApiGetCodec(void);

@protocol FLTAuthServiceApi
- (void)loginAccount:(NSString *)account token:(NSString *)token completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)logoutWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
/// @return `nil` only when `error != nil`.
- (nullable NSNumber *)isLoggedInWithError:(FlutterError *_Nullable *_Nonnull)error;
@end

extern void FLTAuthServiceApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTAuthServiceApi> *_Nullable api);

/// The codec used by FLTAuthStatusEventSink.
NSObject<FlutterMessageCodec> *FLTAuthStatusEventSinkGetCodec(void);

@interface FLTAuthStatusEventSink : NSObject
- (instancetype)initWithBinaryMessenger:(id<FlutterBinaryMessenger>)binaryMessenger;
- (void)onAuthStatusChangedEvent:(FLTAuthStatusEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
@end

/// The codec used by FLTRoomServiceApi.
NSObject<FlutterMessageCodec> *FLTRoomServiceApiGetCodec(void);

@protocol FLTRoomServiceApi
- (void)createRoomParams:(FLTCreateRoomParams *)params options:(FLTCreateRoomOptions *)options completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)joinRoomParams:(FLTJoinRoomParams *)params options:(FLTJoinRoomOptions *)options completion:(void (^)(FLTJoinRoomResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)previewRoomParams:(FLTPreviewRoomParams *)params options:(FLTPreviewRoomOptions *)options completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomServiceApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomServiceApi> *_Nullable api);

/// The codec used by FLTRoomContextApi.
NSObject<FlutterMessageCodec> *FLTRoomContextApiGetCodec(void);

@protocol FLTRoomContextApi
- (void)changeMyNameRoomUuid:(NSString *)roomUuid name:(NSString *)name completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)changeMemberRoleRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid role:(NSString *)role completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)handOverMyRoleRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)kickMemberOutRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)leaveRoomRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)endRoomRoomUuid:(NSString *)roomUuid isForce:(NSNumber *)isForce completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)updateRoomPropertyRoomUuid:(NSString *)roomUuid key:(NSString *)key value:(NSString *)value associatedUuid:(nullable NSString *)associatedUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)deleteRoomPropertyRoomUuid:(NSString *)roomUuid key:(NSString *)key completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)updateMemberPropertyRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid key:(NSString *)key value:(NSString *)value completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)deleteMemberPropertyRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid key:(NSString *)key completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)lockRoomRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)unlockRoomRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomContextApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomContextApi> *_Nullable api);

/// The codec used by FLTPreviewRoomEventSink.
NSObject<FlutterMessageCodec> *FLTPreviewRoomEventSinkGetCodec(void);

@interface FLTPreviewRoomEventSink : NSObject
- (instancetype)initWithBinaryMessenger:(id<FlutterBinaryMessenger>)binaryMessenger;
- (void)onRtcVirtualBackgroundSourceEnabledEvent:(FLTRtcVirtualBackgroundSourceEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
@end

/// The codec used by FLTRoomEventSink.
NSObject<FlutterMessageCodec> *FLTRoomEventSinkGetCodec(void);

@interface FLTRoomEventSink : NSObject
- (instancetype)initWithBinaryMessenger:(id<FlutterBinaryMessenger>)binaryMessenger;
- (void)onRoomEndRoomUuid:(NSString *)roomUuid reason:(NSString *)reason completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRoomPropertiesChangedEvent:(FLTPropertyEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRoomPropertiesDeletedEvent:(FLTPropertyEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberPropertiesChangedEvent:(FLTPropertyEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberPropertiesDeletedEvent:(FLTPropertyEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberRoleChangedEvent:(FLTMemberRoleChangeEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberNameChangedEvent:(FLTCommonEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberJoinRoomEvent:(FLTMembersEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberLeaveRoomEvent:(FLTMembersEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberJoinRtcChannelEvent:(FLTMembersEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberLeaveRtcChannelEvent:(FLTMembersEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRtcChannelErrorEvent:(FLTCommonEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberJoinChatroomEvent:(FLTMembersEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberLeaveChatroomEvent:(FLTMembersEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberAudioMuteChangedEvent:(FLTMemberToggleEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberVideoMuteChangedEvent:(FLTMemberToggleEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberScreenShareStateChangedEvent:(FLTMemberToggleEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onReceiveChatroomMessagesMessages:(FLTRoomMessageEvent *)messages completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onChatroomMessageAttachmentProgressMessages:(FLTCommonEvent *)messages completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onMemberWhiteboardShareStateChangedEvent:(FLTMemberToggleEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onWhiteboardErrorEvent:(FLTCommonEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRoomLockStateChangedEvent:(FLTRoomToggleEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRoomLiveStateChangedEvent:(FLTCommonEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRtcAudioVolumeIndicationEvent:(FLTRtcVolumeEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRtcAudioOutputDeviceChangedEvent:(FLTCommonEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onLocalAudioVolumeIndicationwithVadEvent:(FLTLocalVolumeEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onRtcVirtualBackgroundSourceEnabledEvent:(FLTRtcVirtualBackgroundSourceEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onWhiteboardShowFileChooserEvent:(FLTWhiteboardShowFileChooserTypeEvent *)event completion:(void (^)(NSString *_Nullable, FlutterError *_Nullable))completion;
- (void)onAudioMixingStateChangedEvent:(FLTCommonEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
@end

/// The codec used by FLTSeatEventSink.
NSObject<FlutterMessageCodec> *FLTSeatEventSinkGetCodec(void);

@interface FLTSeatEventSink : NSObject
- (instancetype)initWithBinaryMessenger:(id<FlutterBinaryMessenger>)binaryMessenger;
- (void)onSeatManagerAddedManagers:(NSArray<NSString *> *)managers completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatManagerRemovedManagers:(NSArray<NSString *> *)managers completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatRequestSubmittedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatRequestCancelledSeatIndex:(NSNumber *)seatIndex user:(NSString *)user completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatRequestApprovedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user operateBy:(NSString *)operateBy isAutoAgree:(NSNumber *)isAutoAgree completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatRequestRejectedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user operateBy:(NSString *)operateBy completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatInvitationReceivedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user operateBy:(NSString *)operateBy completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatInvitationCancelledSeatIndex:(NSNumber *)seatIndex user:(NSString *)user operateBy:(NSString *)operateBy completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatInvitationAcceptedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user isAutoAgree:(NSNumber *)isAutoAgree completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatInvitationRejectedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatLeaveSeatIndex:(NSNumber *)seatIndex user:(NSString *)user completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatKickedSeatIndex:(NSNumber *)seatIndex user:(NSString *)user operateBy:(NSString *)operateBy completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onSeatListChangedSeatItems:(NSArray<FLTSeatItem *> *)seatItems completion:(void (^)(FlutterError *_Nullable))completion;
@end

/// The codec used by FLTRoomChatControllerApi.
NSObject<FlutterMessageCodec> *FLTRoomChatControllerApiGetCodec(void);

@protocol FLTRoomChatControllerApi
- (void)joinChatroomRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)leaveChatroomRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)sendBroadcastTextMessageRoomUuid:(NSString *)roomUuid message:(NSString *)message completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)sendDirectTextMessageRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid message:(NSString *)message completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)sendGroupTextMessageRoomUuid:(NSString *)roomUuid userUuids:(NSArray<NSString *> *)userUuids message:(NSString *)message completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)fetchChatRoomMembersRoomUuid:(NSString *)roomUuid queryType:(NSNumber *)queryType limit:(NSNumber *)limit completion:(void (^)(FLTChatRoomMembersResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)sendImageMessageRoomUuid:(NSString *)roomUuid messageUuid:(NSString *)messageUuid imagePath:(NSString *)imagePath userUuids:(NSArray<NSString *> *)userUuids completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)sendFileMessageRoomUuid:(NSString *)roomUuid messageUuid:(NSString *)messageUuid filePath:(NSString *)filePath userUuids:(NSArray<NSString *> *)userUuids completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)downloadAttachmentRoomUuid:(NSString *)roomUuid messageUuid:(NSString *)messageUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)cancelDownloadAttachmentRoomUuid:(NSString *)roomUuid messageUuid:(NSString *)messageUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomChatControllerApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomChatControllerApi> *_Nullable api);

/// The codec used by FLTRoomSeatControllerApi.
NSObject<FlutterMessageCodec> *FLTRoomSeatControllerApiGetCodec(void);

@protocol FLTRoomSeatControllerApi
- (void)submitSeatRequestRoomUuid:(NSString *)roomUuid seatIndex:(NSNumber *)seatIndex exclusive:(NSNumber *)exclusive completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)cancelSeatRequestRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)leaveSeatRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)approveSeatRequestRoomUuid:(NSString *)roomUuid user:(NSString *)user completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)rejectSeatRequestRoomUuid:(NSString *)roomUuid user:(NSString *)user completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)kickSeatRoomUuid:(NSString *)roomUuid user:(NSString *)user completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)sendSeatInvitationRoomUuid:(NSString *)roomUuid seatIndex:(NSNumber *)seatIndex user:(NSString *)user completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)cancelSeatInvitationRoomUuid:(NSString *)roomUuid user:(NSString *)user completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)acceptSeatInvitationRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)rejectSeatInvitationRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)closeSeatsRoomUuid:(NSString *)roomUuid seatIndices:(NSArray<NSNumber *> *)seatIndices completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)openSeatsRoomUuid:(NSString *)roomUuid seatIndices:(NSArray<NSNumber *> *)seatIndices completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)getSeatInfoRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSeatInfoResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)getSeatRequestListRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSeatRequestListResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)getSeatInvitationListRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSeatInvitationListResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomSeatControllerApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomSeatControllerApi> *_Nullable api);

/// The codec used by FLTRoomRtcControllerApi.
NSObject<FlutterMessageCodec> *FLTRoomRtcControllerApiGetCodec(void);

@protocol FLTRoomRtcControllerApi
- (void)joinRtcChannelRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)leaveRtcChannelRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)muteMyAudioRoomUuid:(NSString *)roomUuid enableMediaPub:(NSNumber *)enableMediaPub completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)unmuteMyAudioRoomUuid:(NSString *)roomUuid enableMediaPub:(NSNumber *)enableMediaPub completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableMediaPubRoomUuid:(NSString *)roomUuid mediaType:(NSNumber *)mediaType enable:(NSNumber *)enable completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)pauseLocalAudioRecordingRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)resumeLocalAudioRecordingRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)muteMemberAudioRoomUuid:(NSString *)roomUuid uuid:(NSString *)uuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)unmuteMemberAudioRoomUuid:(NSString *)roomUuid uuid:(NSString *)uuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)muteMemberVideoRoomUuid:(NSString *)roomUuid uuid:(NSString *)uuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)unmuteMemberVideoRoomUuid:(NSString *)roomUuid uuid:(NSString *)uuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)pauseLocalVideoCaptureRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)resumeLocalVideoCaptureRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)unmuteMyVideoRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)muteMyVideoRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopScreenShareRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)startScreenShareRequest:(FLTStartScreenShareRequest *)request completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopMemberScreenShareRoomUuid:(NSString *)roomUuid uuid:(NSString *)uuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)subscribeRemoteVideoStreamRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid streamType:(NSNumber *)streamType subscribe:(NSNumber *)subscribe completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)subscribeRemoteSubStreamVideoRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid subscribe:(NSNumber *)subscribe completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setSpeakerphoneOnRoomUuid:(NSString *)roomUuid on:(NSNumber *)on completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)isSpeakerphoneOnRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopAudioDumpRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)startAudioDumpRoomUuid:(NSString *)roomUuid type:(NSNumber *)type completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableAudioVolumeIndicationRoomUuid:(NSString *)roomUuid enable:(NSNumber *)enable interval:(NSNumber *)interval vad:(NSNumber *)vad completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)startRtcChannelMediaRelayRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopRtcChannelMediaRelayRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableEarBackRoomUuid:(NSString *)roomUuid enable:(NSNumber *)enable volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)startAudioMixingRoomUuid:(NSString *)roomUuid option:(FLTCreateAudioMixingOption *)option completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)playEffectRoomUuid:(NSString *)roomUuid id:(NSNumber *)id option:(FLTCreateAudioEffectOption *)option completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopAudioMixingRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopEffectRoomUuid:(NSString *)roomUuid id:(NSNumber *)id completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setAudioMixingSendVolumeRoomUuid:(NSString *)roomUuid volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setAudioMixingPlaybackVolumeRoomUuid:(NSString *)roomUuid volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setEffectSendVolumeRoomUuid:(NSString *)roomUuid id:(NSNumber *)id volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setEffectPlaybackVolumeRoomUuid:(NSString *)roomUuid id:(NSNumber *)id volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopAllEffectsRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)adjustUserPlaybackSignalVolumeRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)adjustPlaybackSignalVolumeRoomUuid:(NSString *)roomUuid volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)switchCameraRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)addBeautyFilterRoomUuid:(NSString *)roomUuid path:(NSString *)path completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)addBeautyStickerRoomUuid:(NSString *)roomUuid path:(NSString *)path completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableBeautyRoomUuid:(NSString *)roomUuid isOpenBeauty:(NSNumber *)isOpenBeauty completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)removeBeautyFilterRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)removeBeautyStickerRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)startBeautyRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopBeautyRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setBeautyFilterLevelRoomUuid:(NSString *)roomUuid level:(NSNumber *)level completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setBeautyEffectRoomUuid:(NSString *)roomUuid beautyType:(NSNumber *)beautyType level:(NSNumber *)level completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableVirtualBackgroundRoomUuid:(NSString *)roomUuid enabled:(NSNumber *)enabled backgroundSource:(FLTNERoomVirtualBackgroundSource *)backgroundSource completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)pauseAudioMixingRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)adjustRecordingSignalVolumeRoomUuid:(NSString *)roomUuid volume:(NSNumber *)volume completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)resumeAudioMixingRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setRecordDeviceMuteRoomUuid:(NSString *)roomUuid mute:(NSNumber *)mute completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setClientRoleRoomUuid:(NSString *)roomUuid role:(NSNumber *)role completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setLocalAudioProfileRoomUuid:(NSString *)roomUuid profile:(NSNumber *)profile scenario:(NSNumber *)scenario completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setChannelProfileRoomUuid:(NSString *)roomUuid value:(NSNumber *)value completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableAudioAINSRoomUuid:(NSString *)roomUuid enable:(NSNumber *)enable completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableLoopbackRecordingRoomUuid:(NSString *)roomUuid enable:(NSNumber *)enable completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomRtcControllerApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomRtcControllerApi> *_Nullable api);

/// The codec used by FLTPreviewRoomRtcControllerApi.
NSObject<FlutterMessageCodec> *FLTPreviewRoomRtcControllerApiGetCodec(void);

@protocol FLTPreviewRoomRtcControllerApi
- (void)startPreviewWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopPreviewReleaseRtc:(NSNumber *)releaseRtc completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)switchCameraWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)addBeautyFilterPath:(NSString *)path completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)addBeautyStickerPath:(NSString *)path completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableBeautyIsOpenBeauty:(NSNumber *)isOpenBeauty completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)removeBeautyFilterWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)removeBeautyStickerWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)startBeautyWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopBeautyWithCompletion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setBeautyFilterLevelLevel:(NSNumber *)level completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setBeautyEffectBeautyType:(NSNumber *)beautyType level:(NSNumber *)level completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)enableVirtualBackgroundEnabled:(NSNumber *)enabled backgroundSource:(FLTNERoomVirtualBackgroundSource *)backgroundSource completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTPreviewRoomRtcControllerApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTPreviewRoomRtcControllerApi> *_Nullable api);

/// The codec used by FLTRoomRtcVideoRender.
NSObject<FlutterMessageCodec> *FLTRoomRtcVideoRenderGetCodec(void);

@protocol FLTRoomRtcVideoRender
- (void)createVideoRendererRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setupLocalVideoRendererTextureId:(NSNumber *)textureId completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)detachLocalVideoRendererSubStream:(NSNumber *)subStream textureId:(NSNumber *)textureId completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)detachRemoteVideoRendererUserUuid:(NSString *)userUuid subStream:(NSNumber *)subStream textureId:(NSNumber *)textureId completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setMirrorTextureId:(NSNumber *)textureId mirror:(NSNumber *)mirror completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setupRemoteSubStreamVideoRendererUserUuid:(NSString *)userUuid textureId:(NSNumber *)textureId completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setupRemoteVideoRendererUserUuid:(NSString *)userUuid textureId:(NSNumber *)textureId completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)disposeVideoRendererTextureId:(NSNumber *)textureId completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomRtcVideoRenderSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomRtcVideoRender> *_Nullable api);

/// The codec used by FLTRoomWhiteboardControllerApi.
NSObject<FlutterMessageCodec> *FLTRoomWhiteboardControllerApiGetCodec(void);

@protocol FLTRoomWhiteboardControllerApi
- (void)startWhiteboardShareRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopWhiteboardShareRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setEnableDrawRoomUuid:(NSString *)roomUuid enable:(NSNumber *)enable completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopMemberWhiteboardShareRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)setCanvasBackgroundColorRoomUuid:(NSString *)roomUuid color:(NSString *)color completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)lockCameraWithContentRoomUuid:(NSString *)roomUuid width:(NSNumber *)width height:(NSNumber *)height completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomWhiteboardControllerApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomWhiteboardControllerApi> *_Nullable api);

/// The codec used by FLTMessageEventSink.
NSObject<FlutterMessageCodec> *FLTMessageEventSinkGetCodec(void);

@interface FLTMessageEventSink : NSObject
- (instancetype)initWithBinaryMessenger:(id<FlutterBinaryMessenger>)binaryMessenger;
- (void)onReceivePassThroughMessageMessageEvent:(FLTPassThroughMessageEvent *)messageEvent completion:(void (^)(FlutterError *_Nullable))completion;
@end

/// The codec used by FLTMessageServiceApi.
NSObject<FlutterMessageCodec> *FLTMessageServiceApiGetCodec(void);

@protocol FLTMessageServiceApi
- (void)sendCustomMessageRoomUuid:(NSString *)roomUuid userUuid:(NSString *)userUuid commandId:(NSNumber *)commandId data:(NSString *)data crossAppAuthorization:(nullable FLTCrossAppAuthorization *)crossAppAuthorization completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTMessageServiceApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTMessageServiceApi> *_Nullable api);

/// The codec used by FLTRoomLiveControllerApi.
NSObject<FlutterMessageCodec> *FLTRoomLiveControllerApiGetCodec(void);

@protocol FLTRoomLiveControllerApi
- (void)startLiveRoomUuid:(NSString *)roomUuid request:(FLTRoomLiveRequest *)request completion:(void (^)(FLTRoomLiveResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)stopLiveRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)updateLiveRoomUuid:(NSString *)roomUuid request:(FLTRoomLiveRequest *)request completion:(void (^)(FLTRoomLiveResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)getLiveInfoRoomUuid:(NSString *)roomUuid completion:(void (^)(FLTRoomLiveResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)addLiveStreamTaskRoomUuid:(NSString *)roomUuid taskInfo:(FLTRoomLiveStreamTaskInfo *)taskInfo completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)updateLiveStreamTaskRoomUuid:(NSString *)roomUuid taskInfo:(FLTRoomLiveStreamTaskInfo *)taskInfo completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
- (void)removeLiveStreamTaskRoomUuid:(NSString *)roomUuid taskID:(NSString *)taskID completion:(void (^)(FLTSimpleResponse *_Nullable, FlutterError *_Nullable))completion;
@end

extern void FLTRoomLiveControllerApiSetup(id<FlutterBinaryMessenger> binaryMessenger, NSObject<FLTRoomLiveControllerApi> *_Nullable api);

/// The codec used by FLTRoomStatsSink.
NSObject<FlutterMessageCodec> *FLTRoomStatsSinkGetCodec(void);

@interface FLTRoomStatsSink : NSObject
- (instancetype)initWithBinaryMessenger:(id<FlutterBinaryMessenger>)binaryMessenger;
- (void)onRtcStatsRoomUuid:(NSString *)roomUuid event:(FLTRoomStatsEvent *)event completion:(void (^)(FlutterError *_Nullable))completion;
- (void)onNetworkQualityRoomUuid:(NSString *)roomUuid qualities:(NSArray<FLTRoomNetworkQuality *> *)qualities completion:(void (^)(FlutterError *_Nullable))completion;
@end

NS_ASSUME_NONNULL_END
