// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

library netease_roomkit;

import 'dart:async';
import 'dart:convert';
import 'dart:collection';
import 'dart:io';
import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:netease_common/netease_common.dart';
import 'package:netease_roomkit_interface/netease_roomkit_interface.dart';
import 'package:hawk_meta/hawk_meta.dart';

export 'package:netease_roomkit_interface/netease_roomkit_interface.dart'
    show
        NERoomKitOptions,
        NEServerConfig,
        NECreateRoomParams,
        NECreateRoomOptions,
        NEPreviewRoomParams,
        NEPreviewRoomOptions,
        NESeatInitParams,
        NESeatRequestApprovalMode,
        NESeatInvitationConfirmMode,
        NEJoinRoomOptions,
        NEJoinRoomParams,
        NECrossAppAuthorization,
        NERoomRole,
        NERoomLiveInfo,
        NERoomLiveLayout,
        NERoomLiveState,
        NERoomLiveRequest,
        NEAudioDumpType,
        NEAudioOutputDevice,
        NEVideoStreamType,
        NERoomLiveStreamImageInfo,
        NERoomLiveStreamTaskInfo,
        NERoomLiveConfig,
        NERoomLiveStreamLayout,
        NERoomLiveStreamUserTranscoding,
        NERoomLiveStreamAudioCodecProfile,
        NERoomLiveStreamAudioSampleRate,
        NERoomLiveStreamMode,
        NERoomLiveStreamVideoScaleMode,
        NECreateAudioMixingOption,
        NECreateAudioEffectOption,
        NERoomBeautyEffectType,
        NERoomRtcAudioStreamType,
        NEAuthEvent,
        NEChatroomMemberQueryType,
        NEChatroomMember,
        NERoomRtcStats,
        NERoomVirtualBackgroundSource,
        NERoomRtcNetworkQualityInfo;

part 'src/api/roomkit.dart';
part 'src/api/auth_service.dart';
part 'src/api/room_service.dart';
part 'src/api/room_chat_controller.dart';
part 'src/api/room_controller.dart';
part 'src/api/room_whiteboard_controller.dart';
part 'src/api/room_base_controller.dart';
part 'src/api/view/room_video_view.dart';
part 'src/api/room_context.dart';
part 'src/api/room_member.dart';
part 'src/api/attachment_mixin.dart';
part 'src/api/error_code.dart';
part 'src/impl/logger.dart';
part 'src/impl/roomkit_impl.dart';
part 'src/impl/room_context_impl.dart';
part 'src/impl/room_service_impl.dart';
part 'src/impl/auth_service_impl.dart';
part 'src/impl/room_whiteboard_controller_impl.dart';
part 'src/impl/room_controller_impl.dart';
part 'src/impl/room_chat_controller_impl.dart';
part 'src/api/rtc/nertc_video_view.dart';
part 'src/api/rtc/nertc_video_renderer.dart';
part 'src/api/rtc/nertc_base.dart';
part 'src/impl/rtc/video_renderer_impl.dart';
part 'src/api/view/room_whiteboard_view.dart';
part 'src/api/message_service.dart';
part 'src/impl/message_service_impl.dart';
part 'src/api/room_live_controller.dart';
part 'src/impl/room_live_controller_impl.dart';
part 'src/api/preview_room_context.dart';
part 'src/impl/preview_room_context_impl.dart';

part 'src/api/model/models.dart';

part 'src/api/room_seat_controller.dart';

part 'src/impl/room_seat_controller_impl.dart';
