// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

mixin AttachmentMixin {
  Map? _attachments;

  void addAttachment(String name, dynamic attachment) {
    _attachments ??= {};
    _attachments![name] = attachment;
  }

  dynamic getAttachment(String name) {
    return _attachments?[name];
  }

  void removeAttachment(String name) {
    _attachments?.remove(name);
  }

  void clearAttachments() {
    _attachments?.clear();
  }
}
