// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

/// 用户鉴权服务
@HawkEntryPoint()
abstract class NEAuthService {
  ///
  /// 登录鉴权
  /// [account] 用户账号
  /// [token]  用户Token
  ///
  Future<VoidResult> login(String account, String token);

  ///
  /// 退出登录
  ///
  Future<VoidResult> logout();

  ///
  /// 查询登录状态
  ///
  Future<bool> get isLoggedIn;

  ///
  /// 鉴权状态事件流
  ///
  Stream<NEAuthEvent> get onAuthEvent;
}
