// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

class NEErrorCode {
  NEErrorCode._();

  /// 失败
  static const int failure = -1;

  /// 成功
  static const int success = 0;

  /// 开启了IM复用，请先登录IM
  static const int reuseIMNotLogin = 100004;

  /// 开启了IM复用，IM账号不匹配
  static const int reuseIMAccountNotMatch = 100005;

  static const int authExpired = 402;

  static const int roomLocked = 1019;

  static const int badPassword = 1020;

  static const int roomNotExit = 1004; // 房间不存在

  /// 同时共享时错误  屏幕共享同时只能一人
  static const int screenSharingLimitError = 1012;

  static const int noScreenSharingPermission = 1024;

  /// 角色上限超出
  static const int overRoleLimitCount = 1002;

  ///
  /// 操作过期，请求被忽略
  ///
  static const int requestIgnored = 1501;
}
