// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.
part of netease_roomkit;

/// 当前预览房间的上下文
abstract class NEPreviewRoomContext {
  NEPreviewRoomRtcController get previewController;

  ///
  /// 添加预览房间事件监听
  ///
  void addEventCallback(NEPreviewRoomEventCallback callback);

  /// 移除预览房间事件监听
  void removeEventCallback(NEPreviewRoomEventCallback callback);
}

/// 预览房间事件监听器
class NEPreviewRoomEventCallback {
  /// 虚拟背景开关是否生效 [NERoomVirtualBackgroundSourceStateReason]
  RtcVirtualBackgroundSourceEnabledCallback? rtcVirtualBackgroundSourceEnabled;

  NEPreviewRoomEventCallback({
    this.rtcVirtualBackgroundSourceEnabled,
  });
}
