// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

class NEWhiteboardView extends StatelessWidget {
  final String roomUuid;
  final Set<Factory<OneSequenceGestureRecognizer>>? gestureRecognizers;
  final Color? backgroundColor;

  const NEWhiteboardView(
    this.roomUuid, {
    Key? key,
    this.gestureRecognizers,
    this.backgroundColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    String viewType =
        'com.netease.yunxin.flutter.plugins.roomkit/whiteboardView';
    final creationParams = {
      'roomUuid': roomUuid,
      if (backgroundColor != null) 'backgroundColor': backgroundColor!.value,
    };
    if (Platform.isIOS) {
      return UiKitView(
        key: ValueKey(roomUuid),
        viewType: viewType,
        creationParams: creationParams,
        creationParamsCodec: const StandardMessageCodec(),
        gestureRecognizers: gestureRecognizers,
      );
    } else {
      return AndroidView(
        key: ValueKey(roomUuid),
        viewType: viewType,
        creationParams: creationParams,
        creationParamsCodec: const StandardMessageCodec(),
        gestureRecognizers: gestureRecognizers,
      );
    }
  }
}
