// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

class _NEAuthServiceImpl extends NEAuthService with _AloggerMixin {
  final _platform = AuthServicePlatform.instance;

  _NEAuthServiceImpl() {
    onAuthEvent.listen((event) {
      commonLogger.i('auth status changed: $event');
    });
  }

  @override
  Future<VoidResult> login(String account, String token) {
    apiLogger.i('login: $account, $token');
    return _platform.login(account, token);
  }

  @override
  Future<VoidResult> logout() {
    apiLogger.i('logout');
    return _platform.logout();
  }

  @override
  Future<bool> get isLoggedIn => _platform.isLoggedIn;

  @override
  Stream<NEAuthEvent> get onAuthEvent {
    return _platform.onAuthStatusChanged;
  }
}
