// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

part of netease_roomkit;

class _NELRoomLiveControllerImpl extends NERoomLiveController {
  final _platform = RoomLiveControllerPlatform.instance;
  final String roomUuid;
  @override
  final bool isSupported;

  _NELRoomLiveControllerImpl(this.isSupported, this.roomUuid);

  @override
  Future<NEResult<NERoomLiveInfo?>> getLiveInfo() {
    return _platform.getLiveInfo(roomUuid);
  }

  @override
  Future<NEResult<NERoomLiveInfo?>> startLive(NERoomLiveRequest request) {
    return _platform.startLive(roomUuid, request);
  }

  @override
  Future<VoidResult> stopLive() {
    return _platform.stopLive(roomUuid);
  }

  @override
  Future<NEResult<NERoomLiveInfo?>> updateLive(NERoomLiveRequest request) {
    return _platform.updateLive(roomUuid, request);
  }

  @override
  Future<VoidResult> addLiveStreamTask(NERoomLiveStreamTaskInfo taskInfo) {
    return _platform.addLiveStreamTask(roomUuid, taskInfo);
  }

  @override
  Future<VoidResult> updateLiveStreamTask(NERoomLiveStreamTaskInfo taskInfo) {
    return _platform.updateLiveStreamTask(roomUuid, taskInfo);
  }

  @override
  Future<VoidResult> removeLiveStreamTask(String taskID) {
    return _platform.removeLiveStreamTask(roomUuid, taskID);
  }
}
